'------------------------------------------------------------------------------
' 
'   ACTvZT[rX TvvO
'   CtH[NX
'
'   Copyrights (c) 2004-2009 Advanced Core Technologies, Inc. All rights reserved.
'
'   2005/11/21 Rev.1.00 AYA ō쐬(SMD Rev.1.02C)
'   2009/01/30 Rev.2.0.1.0 MORO [_ΉAB^vZƕГꊇvZΉ
'
'------------------------------------------------------------------------------

'	Imported Namespace
Imports ACT.DCWS

'   Definition of Class
Public Class MainForm
    Inherits System.Windows.Forms.Form

#Region " Windows tH[ fUCiŐꂽR[h "

    '   RXgN^
    Public Sub New()
        MyBase.New()

        Dim SubRegistry As Microsoft.Win32.RegistryKey  '   WXgNX
        Dim lpszSubKeyNames() As String                 '   擾TuL[z
        Dim nSubKeyNameCount As Int32                   '   擾TuL[
        Dim bMapDKExist As Boolean                      '   MapDK CXg[tO
        Dim i As Int32                                  '   JE^

        bMapDKExist = False   '   ݃tȌ

        '   MapDK CXg[`FbN
        SubRegistry = Microsoft.Win32.Registry.LocalMachine.OpenSubKey(REGISTORY_KEY_MAIN_MAPDK) '   I[v
        '   w背WXg͌H
        If Not (SubRegistry Is Nothing) Then
            lpszSubKeyNames = SubRegistry.GetSubKeyNames()  '   TuL[擾
            nSubKeyNameCount = lpszSubKeyNames.Length       '   TuL[̎擾
            For i = 0 To nSubKeyNameCount - 1
                '   TuL[̐擪͈v邩H
                If String.Compare(lpszSubKeyNames(i), 0, REGISTORY_COMPARE_STRING_MAPDK, 0, _
                REGISTORY_COMPARE_LENGTH_MAPDK) = 0 Then
                    bMapDKExist = True  '   ݃tO
                    Exit For            '   [v𔲂
                End If
            Next
            SubRegistry.Close() '   N[Y
        End If
        '   WXg͌H
        If bMapDKExist = False Then
            MessageBox.Show("MapDKCXg[Ă܂B" + vbCrLf + "AvP[VI܂B", _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End '   AvP[V̏I
        End If

        Try
            ' ̌Ăяo Windows tH[ fUCiŕKvłB
            InitializeComponent()
        Catch ex As Exception
            MessageBox.Show(ex.Message + vbCrLf + "AvP[VI܂B", _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End '   AvP[V̏I
        End Try

        ' InitializeComponent() Ăяǒɏǉ܂B

    End Sub

    ' Form ́AR|[lgꗗɌ㏈s邽߂ dispose I[o[Ch܂B
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    ' Windows tH[ fUCiŕKvłB
    Private components As System.ComponentModel.IContainer

    '  : ȉ̃vV[ẂAWindows tH[ fUCiŕKvłB
    'Windows tH[ fUCigĕύXĂB  
    ' R[h GfB^gĕύXȂłB
    Friend WithEvents Splitter As System.Windows.Forms.Splitter
    Friend WithEvents ListViewContextMenu As System.Windows.Forms.ContextMenu
    Friend WithEvents MenuFile As System.Windows.Forms.MenuItem
    Friend WithEvents MenuFileAppEnd As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewGrabber As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewZoomIn As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewZoomOut As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewTextLevel As System.Windows.Forms.MenuItem
    Friend WithEvents MenuEdit As System.Windows.Forms.MenuItem
    Friend WithEvents MenuEditClearNodes As System.Windows.Forms.MenuItem
    Friend WithEvents MenuCalc As System.Windows.Forms.MenuItem
    Friend WithEvents MenuCalcRoute As System.Windows.Forms.MenuItem
    Friend WithEvents MenuCalcOptRoute As System.Windows.Forms.MenuItem
    Friend WithEvents MenuHelp As System.Windows.Forms.MenuItem
    Friend WithEvents MenuHelpVersion As System.Windows.Forms.MenuItem
    Friend WithEvents MainMenu As System.Windows.Forms.MainMenu
    Friend WithEvents ToolBar As System.Windows.Forms.ToolBar
    Protected Friend WithEvents ToolBarButtonGrabber As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonZoomIn As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonZoomOut As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonClearNodes As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonCalcRoute As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonCalcOptRoute As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonPointSelect As System.Windows.Forms.ToolBarButton
    Friend WithEvents ListViewLocs As System.Windows.Forms.ListView
    Friend WithEvents ListViewRns As System.Windows.Forms.ListView
    Friend WithEvents ListViewTrds As System.Windows.Forms.ListView
    Friend WithEvents TabControl As System.Windows.Forms.TabControl
    Friend WithEvents ImageList As System.Windows.Forms.ImageList
    Friend WithEvents StatusBar As System.Windows.Forms.StatusBar
    Friend WithEvents TabPageLocs As System.Windows.Forms.TabPage
    Friend WithEvents TabPageRns As System.Windows.Forms.TabPage
    Friend WithEvents TabPageTrds As System.Windows.Forms.TabPage
    Friend WithEvents MenuSeparator1 As System.Windows.Forms.MenuItem
    Protected Friend WithEvents ToolBarButtonSeparator1 As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonSeparator2 As System.Windows.Forms.ToolBarButton
    Friend WithEvents ContextMenuCalcAreaStartPoint As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewClearMap As System.Windows.Forms.MenuItem
    Protected Friend WithEvents ToolBarButtonClearMap As System.Windows.Forms.ToolBarButton
    Friend WithEvents ColumnHeaderLocsNo As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsTag As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsNode As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsLon As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsLat As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsDSec As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsTime As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsDist As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsHighwayDSec As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsHighwayTime As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsHighwayDist As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsToll_SS As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsToll_S As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsToll_M As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsToll_L As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderLocsToll_LL As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsNo As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsLocFlag As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsLinkFlag As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsNLCode As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsName As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsDSec As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsTime As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsDist As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsToll_SS As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsToll_S As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsToll_M As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsToll_L As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsToll_LL As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsICType As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsLon As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderRnsLat As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsNo As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsInRdName As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsInICName As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsOutRdName As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsOutICName As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsToll_SS As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsToll_S As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsToll_M As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsToll_L As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsToll_LL As System.Windows.Forms.ColumnHeader
    Friend WithEvents ColumnHeaderTrdsDist As System.Windows.Forms.ColumnHeader
    Friend WithEvents StatusBarPanelScale As System.Windows.Forms.StatusBarPanel
    Friend WithEvents MenuEditPointSelect As System.Windows.Forms.MenuItem
    Friend WithEvents MenuCalcArea As System.Windows.Forms.MenuItem
    Friend WithEvents StatusBarPanelRoadNote As System.Windows.Forms.StatusBarPanel
    Friend WithEvents StatusBarPanelStatusView As System.Windows.Forms.StatusBarPanel
    Friend WithEvents MenuFileRoadSelect As System.Windows.Forms.MenuItem
    Protected Friend WithEvents ToolBarButtonCalcArea As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonSeparator3 As System.Windows.Forms.ToolBarButton
    Protected Friend WithEvents ToolBarButtonSeparator4 As System.Windows.Forms.ToolBarButton
    Friend WithEvents MenuSeparator3 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewScale As System.Windows.Forms.MenuItem
    Friend WithEvents MenuSeparator4 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewTextLevelLarge As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewTextLevelSmall As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewJapan As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewDetail2 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewDetail3 As System.Windows.Forms.MenuItem
    Friend WithEvents AxNetMap1 As AxNETMAPLib.AxNetMap
    Friend WithEvents AxNetLcl1 As AxNETLCLLib.AxNetLcl
    Friend WithEvents AxNetIco1 As AxNETICOLib.AxNetIco
    Friend WithEvents ContextMenu1 As System.Windows.Forms.ContextMenu
    Friend WithEvents MenuView3200000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView1600000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView800000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView400000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView200000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuViewDetail1 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView25000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView100000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView50000 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView12500 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuView6250 As System.Windows.Forms.MenuItem
    Protected Friend WithEvents ToolBarButtonCalcOneWay As System.Windows.Forms.ToolBarButton
    Friend WithEvents MenuCalcOneWay As System.Windows.Forms.MenuItem
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(MainForm))
        Me.MainMenu = New System.Windows.Forms.MainMenu
        Me.MenuFile = New System.Windows.Forms.MenuItem
        Me.MenuFileRoadSelect = New System.Windows.Forms.MenuItem
        Me.MenuFileAppEnd = New System.Windows.Forms.MenuItem
        Me.MenuEdit = New System.Windows.Forms.MenuItem
        Me.MenuEditPointSelect = New System.Windows.Forms.MenuItem
        Me.MenuEditClearNodes = New System.Windows.Forms.MenuItem
        Me.MenuCalc = New System.Windows.Forms.MenuItem
        Me.MenuCalcRoute = New System.Windows.Forms.MenuItem
        Me.MenuCalcOptRoute = New System.Windows.Forms.MenuItem
        Me.MenuCalcArea = New System.Windows.Forms.MenuItem
        Me.MenuCalcOneWay = New System.Windows.Forms.MenuItem
        Me.MenuView = New System.Windows.Forms.MenuItem
        Me.MenuViewGrabber = New System.Windows.Forms.MenuItem
        Me.MenuViewZoomIn = New System.Windows.Forms.MenuItem
        Me.MenuViewZoomOut = New System.Windows.Forms.MenuItem
        Me.MenuSeparator1 = New System.Windows.Forms.MenuItem
        Me.MenuViewScale = New System.Windows.Forms.MenuItem
        Me.MenuViewJapan = New System.Windows.Forms.MenuItem
        Me.MenuView3200000 = New System.Windows.Forms.MenuItem
        Me.MenuView1600000 = New System.Windows.Forms.MenuItem
        Me.MenuView800000 = New System.Windows.Forms.MenuItem
        Me.MenuView400000 = New System.Windows.Forms.MenuItem
        Me.MenuView200000 = New System.Windows.Forms.MenuItem
        Me.MenuView100000 = New System.Windows.Forms.MenuItem
        Me.MenuView50000 = New System.Windows.Forms.MenuItem
        Me.MenuView25000 = New System.Windows.Forms.MenuItem
        Me.MenuView12500 = New System.Windows.Forms.MenuItem
        Me.MenuView6250 = New System.Windows.Forms.MenuItem
        Me.MenuViewDetail1 = New System.Windows.Forms.MenuItem
        Me.MenuViewDetail2 = New System.Windows.Forms.MenuItem
        Me.MenuViewDetail3 = New System.Windows.Forms.MenuItem
        Me.MenuSeparator3 = New System.Windows.Forms.MenuItem
        Me.MenuViewTextLevel = New System.Windows.Forms.MenuItem
        Me.MenuViewTextLevelLarge = New System.Windows.Forms.MenuItem
        Me.MenuViewTextLevelSmall = New System.Windows.Forms.MenuItem
        Me.MenuSeparator4 = New System.Windows.Forms.MenuItem
        Me.MenuViewClearMap = New System.Windows.Forms.MenuItem
        Me.MenuHelp = New System.Windows.Forms.MenuItem
        Me.MenuHelpVersion = New System.Windows.Forms.MenuItem
        Me.ToolBar = New System.Windows.Forms.ToolBar
        Me.ToolBarButtonPointSelect = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonSeparator1 = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonGrabber = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonZoomIn = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonZoomOut = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonSeparator2 = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonClearMap = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonSeparator3 = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonClearNodes = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonSeparator4 = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonCalcRoute = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonCalcOptRoute = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonCalcArea = New System.Windows.Forms.ToolBarButton
        Me.ToolBarButtonCalcOneWay = New System.Windows.Forms.ToolBarButton
        Me.ImageList = New System.Windows.Forms.ImageList(Me.components)
        Me.StatusBar = New System.Windows.Forms.StatusBar
        Me.StatusBarPanelScale = New System.Windows.Forms.StatusBarPanel
        Me.StatusBarPanelRoadNote = New System.Windows.Forms.StatusBarPanel
        Me.StatusBarPanelStatusView = New System.Windows.Forms.StatusBarPanel
        Me.TabControl = New System.Windows.Forms.TabControl
        Me.TabPageLocs = New System.Windows.Forms.TabPage
        Me.ListViewLocs = New System.Windows.Forms.ListView
        Me.ColumnHeaderLocsNo = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsTag = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsNode = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsLon = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsLat = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsDSec = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsTime = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsDist = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsHighwayDSec = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsHighwayTime = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsHighwayDist = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsToll_SS = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsToll_S = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsToll_M = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsToll_L = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderLocsToll_LL = New System.Windows.Forms.ColumnHeader
        Me.ListViewContextMenu = New System.Windows.Forms.ContextMenu
        Me.ContextMenuCalcAreaStartPoint = New System.Windows.Forms.MenuItem
        Me.TabPageRns = New System.Windows.Forms.TabPage
        Me.ListViewRns = New System.Windows.Forms.ListView
        Me.ColumnHeaderRnsNo = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsLocFlag = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsLinkFlag = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsNLCode = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsName = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsDSec = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsTime = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsDist = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsToll_SS = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsToll_S = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsToll_M = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsToll_L = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsToll_LL = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsICType = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsLon = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderRnsLat = New System.Windows.Forms.ColumnHeader
        Me.TabPageTrds = New System.Windows.Forms.TabPage
        Me.ListViewTrds = New System.Windows.Forms.ListView
        Me.ColumnHeaderTrdsNo = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsInRdName = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsInICName = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsOutRdName = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsOutICName = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsToll_SS = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsToll_S = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsToll_M = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsToll_L = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsToll_LL = New System.Windows.Forms.ColumnHeader
        Me.ColumnHeaderTrdsDist = New System.Windows.Forms.ColumnHeader
        Me.Splitter = New System.Windows.Forms.Splitter
        Me.AxNetMap1 = New AxNETMAPLib.AxNetMap
        Me.AxNetLcl1 = New AxNETLCLLib.AxNetLcl
        Me.AxNetIco1 = New AxNETICOLib.AxNetIco
        Me.ContextMenu1 = New System.Windows.Forms.ContextMenu
        CType(Me.StatusBarPanelScale, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.StatusBarPanelRoadNote, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.StatusBarPanelStatusView, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.TabControl.SuspendLayout()
        Me.TabPageLocs.SuspendLayout()
        Me.TabPageRns.SuspendLayout()
        Me.TabPageTrds.SuspendLayout()
        CType(Me.AxNetMap1, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.AxNetLcl1, System.ComponentModel.ISupportInitialize).BeginInit()
        CType(Me.AxNetIco1, System.ComponentModel.ISupportInitialize).BeginInit()
        Me.SuspendLayout()
        '
        'MainMenu
        '
        Me.MainMenu.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuFile, Me.MenuEdit, Me.MenuCalc, Me.MenuView, Me.MenuHelp})
        '
        'MenuFile
        '
        Me.MenuFile.Index = 0
        Me.MenuFile.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuFileRoadSelect, Me.MenuFileAppEnd})
        Me.MenuFile.Text = "t@C(&F)"
        '
        'MenuFileRoadSelect
        '
        Me.MenuFileRoadSelect.Index = 0
        Me.MenuFileRoadSelect.Text = "vZpHf[^I(&R)..."
        '
        'MenuFileAppEnd
        '
        Me.MenuFileAppEnd.Index = 1
        Me.MenuFileAppEnd.Text = "I(&X)"
        '
        'MenuEdit
        '
        Me.MenuEdit.Index = 1
        Me.MenuEdit.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuEditPointSelect, Me.MenuEditClearNodes})
        Me.MenuEdit.Text = "H_w(&N)"
        '
        'MenuEditPointSelect
        '
        Me.MenuEditPointSelect.Checked = True
        Me.MenuEditPointSelect.Index = 0
        Me.MenuEditPointSelect.Text = "H_I(&S)"
        '
        'MenuEditClearNodes
        '
        Me.MenuEditClearNodes.Index = 1
        Me.MenuEditClearNodes.Text = "H_NA(&C)"
        '
        'MenuCalc
        '
        Me.MenuCalc.Index = 2
        Me.MenuCalc.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuCalcRoute, Me.MenuCalcOptRoute, Me.MenuCalcArea, Me.MenuCalcOneWay})
        Me.MenuCalc.Text = "vZ(&C)"
        '
        'MenuCalcRoute
        '
        Me.MenuCalcRoute.Index = 0
        Me.MenuCalcRoute.Text = "[gvZ(&R)..."
        '
        'MenuCalcOptRoute
        '
        Me.MenuCalcOptRoute.Index = 1
        Me.MenuCalcOptRoute.Text = "ŒZ[gvZ(&O)..."
        '
        'MenuCalcArea
        '
        Me.MenuCalcArea.Index = 2
        Me.MenuCalcArea.Text = "B/vZ(&A)..."
        '
        'MenuCalcOneWay
        '
        Me.MenuCalcOneWay.Index = 3
        Me.MenuCalcOneWay.Text = "ГꊇvZ(W)..."
        '
        'MenuView
        '
        Me.MenuView.Index = 3
        Me.MenuView.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuViewGrabber, Me.MenuViewZoomIn, Me.MenuViewZoomOut, Me.MenuSeparator1, Me.MenuViewScale, Me.MenuSeparator3, Me.MenuViewTextLevel, Me.MenuSeparator4, Me.MenuViewClearMap})
        Me.MenuView.Text = "\(&V)"
        '
        'MenuViewGrabber
        '
        Me.MenuViewGrabber.Index = 0
        Me.MenuViewGrabber.RadioCheck = True
        Me.MenuViewGrabber.Text = "n}ړ(&G)"
        '
        'MenuViewZoomIn
        '
        Me.MenuViewZoomIn.Index = 1
        Me.MenuViewZoomIn.RadioCheck = True
        Me.MenuViewZoomIn.Text = "g(&I)"
        '
        'MenuViewZoomOut
        '
        Me.MenuViewZoomOut.Index = 2
        Me.MenuViewZoomOut.RadioCheck = True
        Me.MenuViewZoomOut.Text = "k(&O)"
        '
        'MenuSeparator1
        '
        Me.MenuSeparator1.Index = 3
        Me.MenuSeparator1.Text = "-"
        '
        'MenuViewScale
        '
        Me.MenuViewScale.Index = 4
        Me.MenuViewScale.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuViewJapan, Me.MenuView3200000, Me.MenuView1600000, Me.MenuView800000, Me.MenuView400000, Me.MenuView200000, Me.MenuView100000, Me.MenuView50000, Me.MenuView25000, Me.MenuView12500, Me.MenuView6250, Me.MenuViewDetail1, Me.MenuViewDetail2, Me.MenuViewDetail3})
        Me.MenuViewScale.Text = "k(&S)"
        '
        'MenuViewJapan
        '
        Me.MenuViewJapan.Index = 0
        Me.MenuViewJapan.Text = "S}"
        '
        'MenuView3200000
        '
        Me.MenuView3200000.Index = 1
        Me.MenuView3200000.Text = "1/320"
        '
        'MenuView1600000
        '
        Me.MenuView1600000.Index = 2
        Me.MenuView1600000.Text = "1/160"
        '
        'MenuView800000
        '
        Me.MenuView800000.Index = 3
        Me.MenuView800000.Text = "1/80"
        '
        'MenuView400000
        '
        Me.MenuView400000.Index = 4
        Me.MenuView400000.Text = "1/40"
        '
        'MenuView200000
        '
        Me.MenuView200000.Index = 5
        Me.MenuView200000.Text = "1/20"
        '
        'MenuView100000
        '
        Me.MenuView100000.Index = 6
        Me.MenuView100000.Text = "1/10"
        '
        'MenuView50000
        '
        Me.MenuView50000.Index = 7
        Me.MenuView50000.Text = "1/50000"
        '
        'MenuView25000
        '
        Me.MenuView25000.Index = 8
        Me.MenuView25000.Text = "1/25000"
        '
        'MenuView12500
        '
        Me.MenuView12500.Index = 9
        Me.MenuView12500.Text = "1/12500"
        '
        'MenuView6250
        '
        Me.MenuView6250.Index = 10
        Me.MenuView6250.Text = "1/6250"
        '
        'MenuViewDetail1
        '
        Me.MenuViewDetail1.Index = 11
        Me.MenuViewDetail1.Text = "ڍא}P"
        '
        'MenuViewDetail2
        '
        Me.MenuViewDetail2.Index = 12
        Me.MenuViewDetail2.Text = "ڍא}Q"
        '
        'MenuViewDetail3
        '
        Me.MenuViewDetail3.Index = 13
        Me.MenuViewDetail3.Text = "ڍא}R"
        '
        'MenuSeparator3
        '
        Me.MenuSeparator3.Index = 5
        Me.MenuSeparator3.Text = "-"
        '
        'MenuViewTextLevel
        '
        Me.MenuViewTextLevel.Enabled = False
        Me.MenuViewTextLevel.Index = 6
        Me.MenuViewTextLevel.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuViewTextLevelLarge, Me.MenuViewTextLevelSmall})
        Me.MenuViewTextLevel.Text = "TCY(&X)"
        '
        'MenuViewTextLevelLarge
        '
        Me.MenuViewTextLevelLarge.Index = 0
        Me.MenuViewTextLevelLarge.RadioCheck = True
        Me.MenuViewTextLevelLarge.Text = "(&L)"
        '
        'MenuViewTextLevelSmall
        '
        Me.MenuViewTextLevelSmall.Checked = True
        Me.MenuViewTextLevelSmall.Index = 1
        Me.MenuViewTextLevelSmall.RadioCheck = True
        Me.MenuViewTextLevelSmall.Text = "(&S)"
        '
        'MenuSeparator4
        '
        Me.MenuSeparator4.Index = 7
        Me.MenuSeparator4.Text = "-"
        '
        'MenuViewClearMap
        '
        Me.MenuViewClearMap.Index = 8
        Me.MenuViewClearMap.Text = "ʃNA(&C)"
        '
        'MenuHelp
        '
        Me.MenuHelp.Index = 4
        Me.MenuHelp.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuHelpVersion})
        Me.MenuHelp.Text = "wv(&H)"
        '
        'MenuHelpVersion
        '
        Me.MenuHelpVersion.Index = 0
        Me.MenuHelpVersion.ShowShortcut = False
        Me.MenuHelpVersion.Text = "o[W(&V)..."
        '
        'ToolBar
        '
        Me.ToolBar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat
        Me.ToolBar.AutoSize = False
        Me.ToolBar.Buttons.AddRange(New System.Windows.Forms.ToolBarButton() {Me.ToolBarButtonPointSelect, Me.ToolBarButtonSeparator1, Me.ToolBarButtonGrabber, Me.ToolBarButtonZoomIn, Me.ToolBarButtonZoomOut, Me.ToolBarButtonSeparator2, Me.ToolBarButtonClearMap, Me.ToolBarButtonSeparator3, Me.ToolBarButtonClearNodes, Me.ToolBarButtonSeparator4, Me.ToolBarButtonCalcRoute, Me.ToolBarButtonCalcOptRoute, Me.ToolBarButtonCalcArea, Me.ToolBarButtonCalcOneWay})
        Me.ToolBar.ButtonSize = New System.Drawing.Size(26, 24)
        Me.ToolBar.DropDownArrows = True
        Me.ToolBar.ImageList = Me.ImageList
        Me.ToolBar.Location = New System.Drawing.Point(0, 0)
        Me.ToolBar.Name = "ToolBar"
        Me.ToolBar.ShowToolTips = True
        Me.ToolBar.Size = New System.Drawing.Size(912, 33)
        Me.ToolBar.TabIndex = 0
        Me.ToolBar.TabStop = True
        '
        'ToolBarButtonPointSelect
        '
        Me.ToolBarButtonPointSelect.ImageIndex = 0
        Me.ToolBarButtonPointSelect.Pushed = True
        Me.ToolBarButtonPointSelect.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
        Me.ToolBarButtonPointSelect.Tag = ""
        Me.ToolBarButtonPointSelect.ToolTipText = "H_I܂"
        '
        'ToolBarButtonSeparator1
        '
        Me.ToolBarButtonSeparator1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator
        Me.ToolBarButtonSeparator1.Tag = ""
        '
        'ToolBarButtonGrabber
        '
        Me.ToolBarButtonGrabber.ImageIndex = 1
        Me.ToolBarButtonGrabber.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
        Me.ToolBarButtonGrabber.Tag = ""
        Me.ToolBarButtonGrabber.ToolTipText = "n}ړ܂"
        '
        'ToolBarButtonZoomIn
        '
        Me.ToolBarButtonZoomIn.ImageIndex = 2
        Me.ToolBarButtonZoomIn.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
        Me.ToolBarButtonZoomIn.Tag = ""
        Me.ToolBarButtonZoomIn.ToolTipText = "n}g債܂"
        '
        'ToolBarButtonZoomOut
        '
        Me.ToolBarButtonZoomOut.ImageIndex = 3
        Me.ToolBarButtonZoomOut.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton
        Me.ToolBarButtonZoomOut.Tag = ""
        Me.ToolBarButtonZoomOut.ToolTipText = "n}k܂"
        '
        'ToolBarButtonSeparator2
        '
        Me.ToolBarButtonSeparator2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator
        '
        'ToolBarButtonClearMap
        '
        Me.ToolBarButtonClearMap.ImageIndex = 4
        Me.ToolBarButtonClearMap.Tag = ""
        Me.ToolBarButtonClearMap.ToolTipText = "n}̃IuWFNg폜܂"
        '
        'ToolBarButtonSeparator3
        '
        Me.ToolBarButtonSeparator3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator
        '
        'ToolBarButtonClearNodes
        '
        Me.ToolBarButtonClearNodes.ImageIndex = 5
        Me.ToolBarButtonClearNodes.Tag = ""
        Me.ToolBarButtonClearNodes.ToolTipText = "H_폜܂"
        '
        'ToolBarButtonSeparator4
        '
        Me.ToolBarButtonSeparator4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator
        '
        'ToolBarButtonCalcRoute
        '
        Me.ToolBarButtonCalcRoute.ImageIndex = 6
        Me.ToolBarButtonCalcRoute.Tag = ""
        Me.ToolBarButtonCalcRoute.ToolTipText = "[gvZs܂"
        '
        'ToolBarButtonCalcOptRoute
        '
        Me.ToolBarButtonCalcOptRoute.ImageIndex = 7
        Me.ToolBarButtonCalcOptRoute.Tag = ""
        Me.ToolBarButtonCalcOptRoute.ToolTipText = "ŒZ[gvZs܂"
        '
        'ToolBarButtonCalcArea
        '
        Me.ToolBarButtonCalcArea.ImageIndex = 8
        Me.ToolBarButtonCalcArea.ToolTipText = "B/vZs܂"
        '
        'ToolBarButtonCalcOneWay
        '
        Me.ToolBarButtonCalcOneWay.ImageIndex = 9
        Me.ToolBarButtonCalcOneWay.ToolTipText = "ГꊇvZs܂"
        '
        'ImageList
        '
        Me.ImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth24Bit
        Me.ImageList.ImageSize = New System.Drawing.Size(26, 24)
        Me.ImageList.ImageStream = CType(resources.GetObject("ImageList.ImageStream"), System.Windows.Forms.ImageListStreamer)
        Me.ImageList.TransparentColor = System.Drawing.Color.Silver
        '
        'StatusBar
        '
        Me.StatusBar.Location = New System.Drawing.Point(0, 690)
        Me.StatusBar.Name = "StatusBar"
        Me.StatusBar.Panels.AddRange(New System.Windows.Forms.StatusBarPanel() {Me.StatusBarPanelScale, Me.StatusBarPanelRoadNote, Me.StatusBarPanelStatusView})
        Me.StatusBar.ShowPanels = True
        Me.StatusBar.Size = New System.Drawing.Size(912, 24)
        Me.StatusBar.TabIndex = 4
        '
        'StatusBarPanelScale
        '
        Me.StatusBarPanelScale.Text = "k"
        Me.StatusBarPanelScale.Width = 130
        '
        'StatusBarPanelRoadNote
        '
        Me.StatusBarPanelRoadNote.Text = "vZpHf[^"
        Me.StatusBarPanelRoadNote.Width = 350
        '
        'StatusBarPanelStatusView
        '
        Me.StatusBarPanelStatusView.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring
        Me.StatusBarPanelStatusView.Text = "󋵕\"
        Me.StatusBarPanelStatusView.Width = 416
        '
        'TabControl
        '
        Me.TabControl.Controls.Add(Me.TabPageLocs)
        Me.TabControl.Controls.Add(Me.TabPageRns)
        Me.TabControl.Controls.Add(Me.TabPageTrds)
        Me.TabControl.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.TabControl.Location = New System.Drawing.Point(0, 418)
        Me.TabControl.Name = "TabControl"
        Me.TabControl.SelectedIndex = 0
        Me.TabControl.Size = New System.Drawing.Size(912, 272)
        Me.TabControl.TabIndex = 3
        '
        'TabPageLocs
        '
        Me.TabPageLocs.Controls.Add(Me.ListViewLocs)
        Me.TabPageLocs.Location = New System.Drawing.Point(4, 21)
        Me.TabPageLocs.Name = "TabPageLocs"
        Me.TabPageLocs.Size = New System.Drawing.Size(904, 247)
        Me.TabPageLocs.TabIndex = 0
        Me.TabPageLocs.Text = "@v Z  ʁ@"
        '
        'ListViewLocs
        '
        Me.ListViewLocs.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.ListViewLocs.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.ColumnHeaderLocsNo, Me.ColumnHeaderLocsTag, Me.ColumnHeaderLocsNode, Me.ColumnHeaderLocsLon, Me.ColumnHeaderLocsLat, Me.ColumnHeaderLocsDSec, Me.ColumnHeaderLocsTime, Me.ColumnHeaderLocsDist, Me.ColumnHeaderLocsHighwayDSec, Me.ColumnHeaderLocsHighwayTime, Me.ColumnHeaderLocsHighwayDist, Me.ColumnHeaderLocsToll_SS, Me.ColumnHeaderLocsToll_S, Me.ColumnHeaderLocsToll_M, Me.ColumnHeaderLocsToll_L, Me.ColumnHeaderLocsToll_LL})
        Me.ListViewLocs.ContextMenu = Me.ListViewContextMenu
        Me.ListViewLocs.FullRowSelect = True
        Me.ListViewLocs.Location = New System.Drawing.Point(2, 3)
        Me.ListViewLocs.MultiSelect = False
        Me.ListViewLocs.Name = "ListViewLocs"
        Me.ListViewLocs.Size = New System.Drawing.Size(900, 240)
        Me.ListViewLocs.TabIndex = 0
        Me.ListViewLocs.View = System.Windows.Forms.View.Details
        '
        'ColumnHeaderLocsNo
        '
        Me.ColumnHeaderLocsNo.Text = "n_No."
        '
        'ColumnHeaderLocsTag
        '
        Me.ColumnHeaderLocsTag.Text = "Tag"
        '
        'ColumnHeaderLocsNode
        '
        Me.ColumnHeaderLocsNode.Text = "ɰރR[h"
        Me.ColumnHeaderLocsNode.Width = 120
        '
        'ColumnHeaderLocsLon
        '
        Me.ColumnHeaderLocsLon.Text = "ox"
        Me.ColumnHeaderLocsLon.Width = 120
        '
        'ColumnHeaderLocsLat
        '
        Me.ColumnHeaderLocsLat.Text = "ܓx"
        Me.ColumnHeaderLocsLat.Width = 120
        '
        'ColumnHeaderLocsDSec
        '
        Me.ColumnHeaderLocsDSec.Text = "v(0.1b)"
        Me.ColumnHeaderLocsDSec.Width = 98
        '
        'ColumnHeaderLocsTime
        '
        Me.ColumnHeaderLocsTime.Text = "v()"
        Me.ColumnHeaderLocsTime.Width = 83
        '
        'ColumnHeaderLocsDist
        '
        Me.ColumnHeaderLocsDist.Text = "̂(m)"
        Me.ColumnHeaderLocsDist.Width = 62
        '
        'ColumnHeaderLocsHighwayDSec
        '
        Me.ColumnHeaderLocsHighwayDSec.Text = "v(0.1b)"
        Me.ColumnHeaderLocsHighwayDSec.Width = 120
        '
        'ColumnHeaderLocsHighwayTime
        '
        Me.ColumnHeaderLocsHighwayTime.Text = "v()"
        Me.ColumnHeaderLocsHighwayTime.Width = 120
        '
        'ColumnHeaderLocsHighwayDist
        '
        Me.ColumnHeaderLocsHighwayDist.Text = "̂(m)"
        Me.ColumnHeaderLocsHighwayDist.Width = 90
        '
        'ColumnHeaderLocsToll_SS
        '
        Me.ColumnHeaderLocsToll_SS.Text = "֥y(SS)"
        Me.ColumnHeaderLocsToll_SS.Width = 100
        '
        'ColumnHeaderLocsToll_S
        '
        Me.ColumnHeaderLocsToll_S.Text = "ʗ(S)"
        Me.ColumnHeaderLocsToll_S.Width = 100
        '
        'ColumnHeaderLocsToll_M
        '
        Me.ColumnHeaderLocsToll_M.Text = "^(M)"
        Me.ColumnHeaderLocsToll_M.Width = 100
        '
        'ColumnHeaderLocsToll_L
        '
        Me.ColumnHeaderLocsToll_L.Text = "^(L)"
        Me.ColumnHeaderLocsToll_L.Width = 100
        '
        'ColumnHeaderLocsToll_LL
        '
        Me.ColumnHeaderLocsToll_LL.Text = "嗿(LL)"
        Me.ColumnHeaderLocsToll_LL.Width = 100
        '
        'ListViewContextMenu
        '
        Me.ListViewContextMenu.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.ContextMenuCalcAreaStartPoint})
        '
        'ContextMenuCalcAreaStartPoint
        '
        Me.ContextMenuCalcAreaStartPoint.Index = 0
        Me.ContextMenuCalcAreaStartPoint.Text = "B/vZAГꊇvZ̒Sn_Ɏw"
        '
        'TabPageRns
        '
        Me.TabPageRns.Controls.Add(Me.ListViewRns)
        Me.TabPageRns.Location = New System.Drawing.Point(4, 21)
        Me.TabPageRns.Name = "TabPageRns"
        Me.TabPageRns.Size = New System.Drawing.Size(896, 247)
        Me.TabPageRns.TabIndex = 1
        Me.TabPageRns.Text = "oRn_ꗗ"
        '
        'ListViewRns
        '
        Me.ListViewRns.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.ListViewRns.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.ColumnHeaderRnsNo, Me.ColumnHeaderRnsLocFlag, Me.ColumnHeaderRnsLinkFlag, Me.ColumnHeaderRnsNLCode, Me.ColumnHeaderRnsName, Me.ColumnHeaderRnsDSec, Me.ColumnHeaderRnsTime, Me.ColumnHeaderRnsDist, Me.ColumnHeaderRnsToll_SS, Me.ColumnHeaderRnsToll_S, Me.ColumnHeaderRnsToll_M, Me.ColumnHeaderRnsToll_L, Me.ColumnHeaderRnsToll_LL, Me.ColumnHeaderRnsICType, Me.ColumnHeaderRnsLon, Me.ColumnHeaderRnsLat})
        Me.ListViewRns.FullRowSelect = True
        Me.ListViewRns.Location = New System.Drawing.Point(2, 3)
        Me.ListViewRns.MultiSelect = False
        Me.ListViewRns.Name = "ListViewRns"
        Me.ListViewRns.Size = New System.Drawing.Size(892, 240)
        Me.ListViewRns.TabIndex = 0
        Me.ListViewRns.View = System.Windows.Forms.View.Details
        '
        'ColumnHeaderRnsNo
        '
        Me.ColumnHeaderRnsNo.Text = "No."
        '
        'ColumnHeaderRnsLocFlag
        '
        Me.ColumnHeaderRnsLocFlag.Text = "P[VtO"
        Me.ColumnHeaderRnsLocFlag.Width = 90
        '
        'ColumnHeaderRnsLinkFlag
        '
        Me.ColumnHeaderRnsLinkFlag.Text = "NtO"
        Me.ColumnHeaderRnsLinkFlag.Width = 70
        '
        'ColumnHeaderRnsNLCode
        '
        Me.ColumnHeaderRnsNLCode.Text = "ɰރR[h"
        Me.ColumnHeaderRnsNLCode.Width = 120
        '
        'ColumnHeaderRnsName
        '
        Me.ColumnHeaderRnsName.Text = "n_"
        Me.ColumnHeaderRnsName.Width = 140
        '
        'ColumnHeaderRnsDSec
        '
        Me.ColumnHeaderRnsDSec.Text = "v(0.1b)"
        Me.ColumnHeaderRnsDSec.Width = 98
        '
        'ColumnHeaderRnsTime
        '
        Me.ColumnHeaderRnsTime.Text = "v()"
        Me.ColumnHeaderRnsTime.Width = 83
        '
        'ColumnHeaderRnsDist
        '
        Me.ColumnHeaderRnsDist.Text = "̂(m)"
        Me.ColumnHeaderRnsDist.Width = 62
        '
        'ColumnHeaderRnsToll_SS
        '
        Me.ColumnHeaderRnsToll_SS.Text = "֥y(SS)"
        Me.ColumnHeaderRnsToll_SS.Width = 100
        '
        'ColumnHeaderRnsToll_S
        '
        Me.ColumnHeaderRnsToll_S.Text = "ʗ(S)"
        Me.ColumnHeaderRnsToll_S.Width = 100
        '
        'ColumnHeaderRnsToll_M
        '
        Me.ColumnHeaderRnsToll_M.Text = "^(M)"
        Me.ColumnHeaderRnsToll_M.Width = 100
        '
        'ColumnHeaderRnsToll_L
        '
        Me.ColumnHeaderRnsToll_L.Text = "^(L)"
        Me.ColumnHeaderRnsToll_L.Width = 100
        '
        'ColumnHeaderRnsToll_LL
        '
        Me.ColumnHeaderRnsToll_LL.Text = "嗿(LL)"
        Me.ColumnHeaderRnsToll_LL.Width = 100
        '
        'ColumnHeaderRnsICType
        '
        Me.ColumnHeaderRnsICType.Text = "IC"
        '
        'ColumnHeaderRnsLon
        '
        Me.ColumnHeaderRnsLon.Text = "ox"
        Me.ColumnHeaderRnsLon.Width = 120
        '
        'ColumnHeaderRnsLat
        '
        Me.ColumnHeaderRnsLat.Text = "ܓx"
        Me.ColumnHeaderRnsLat.Width = 120
        '
        'TabPageTrds
        '
        Me.TabPageTrds.Controls.Add(Me.ListViewTrds)
        Me.TabPageTrds.Location = New System.Drawing.Point(4, 21)
        Me.TabPageTrds.Name = "TabPageTrds"
        Me.TabPageTrds.Size = New System.Drawing.Size(896, 247)
        Me.TabPageTrds.TabIndex = 2
        Me.TabPageTrds.Text = " LH "
        '
        'ListViewTrds
        '
        Me.ListViewTrds.Anchor = CType((((System.Windows.Forms.AnchorStyles.Top Or System.Windows.Forms.AnchorStyles.Bottom) _
                    Or System.Windows.Forms.AnchorStyles.Left) _
                    Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.ListViewTrds.Columns.AddRange(New System.Windows.Forms.ColumnHeader() {Me.ColumnHeaderTrdsNo, Me.ColumnHeaderTrdsInRdName, Me.ColumnHeaderTrdsInICName, Me.ColumnHeaderTrdsOutRdName, Me.ColumnHeaderTrdsOutICName, Me.ColumnHeaderTrdsToll_SS, Me.ColumnHeaderTrdsToll_S, Me.ColumnHeaderTrdsToll_M, Me.ColumnHeaderTrdsToll_L, Me.ColumnHeaderTrdsToll_LL, Me.ColumnHeaderTrdsDist})
        Me.ListViewTrds.FullRowSelect = True
        Me.ListViewTrds.Location = New System.Drawing.Point(2, 3)
        Me.ListViewTrds.MultiSelect = False
        Me.ListViewTrds.Name = "ListViewTrds"
        Me.ListViewTrds.Size = New System.Drawing.Size(892, 240)
        Me.ListViewTrds.TabIndex = 0
        Me.ListViewTrds.View = System.Windows.Forms.View.Details
        '
        'ColumnHeaderTrdsNo
        '
        Me.ColumnHeaderTrdsNo.Text = "No."
        '
        'ColumnHeaderTrdsInRdName
        '
        Me.ColumnHeaderTrdsInRdName.Text = "H"
        Me.ColumnHeaderTrdsInRdName.Width = 120
        '
        'ColumnHeaderTrdsInICName
        '
        Me.ColumnHeaderTrdsInICName.Text = "IC"
        Me.ColumnHeaderTrdsInICName.Width = 120
        '
        'ColumnHeaderTrdsOutRdName
        '
        Me.ColumnHeaderTrdsOutRdName.Text = "oH"
        Me.ColumnHeaderTrdsOutRdName.Width = 120
        '
        'ColumnHeaderTrdsOutICName
        '
        Me.ColumnHeaderTrdsOutICName.Text = "oIC"
        Me.ColumnHeaderTrdsOutICName.Width = 120
        '
        'ColumnHeaderTrdsToll_SS
        '
        Me.ColumnHeaderTrdsToll_SS.Text = "֥y(SS)"
        Me.ColumnHeaderTrdsToll_SS.Width = 100
        '
        'ColumnHeaderTrdsToll_S
        '
        Me.ColumnHeaderTrdsToll_S.Text = "ʗ(S)"
        Me.ColumnHeaderTrdsToll_S.Width = 100
        '
        'ColumnHeaderTrdsToll_M
        '
        Me.ColumnHeaderTrdsToll_M.Text = "^(M)"
        Me.ColumnHeaderTrdsToll_M.Width = 100
        '
        'ColumnHeaderTrdsToll_L
        '
        Me.ColumnHeaderTrdsToll_L.Text = "^(L)"
        Me.ColumnHeaderTrdsToll_L.Width = 100
        '
        'ColumnHeaderTrdsToll_LL
        '
        Me.ColumnHeaderTrdsToll_LL.Text = "嗿(LL)"
        Me.ColumnHeaderTrdsToll_LL.Width = 100
        '
        'ColumnHeaderTrdsDist
        '
        Me.ColumnHeaderTrdsDist.Text = "(km)"
        Me.ColumnHeaderTrdsDist.Width = 80
        '
        'Splitter
        '
        Me.Splitter.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D
        Me.Splitter.Cursor = System.Windows.Forms.Cursors.HSplit
        Me.Splitter.Dock = System.Windows.Forms.DockStyle.Bottom
        Me.Splitter.Location = New System.Drawing.Point(0, 410)
        Me.Splitter.Name = "Splitter"
        Me.Splitter.Size = New System.Drawing.Size(912, 8)
        Me.Splitter.TabIndex = 2
        Me.Splitter.TabStop = False
        '
        'AxNetMap1
        '
        Me.AxNetMap1.Dock = System.Windows.Forms.DockStyle.Fill
        Me.AxNetMap1.Enabled = True
        Me.AxNetMap1.Location = New System.Drawing.Point(0, 33)
        Me.AxNetMap1.Name = "AxNetMap1"
        Me.AxNetMap1.OcxState = CType(resources.GetObject("AxNetMap1.OcxState"), System.Windows.Forms.AxHost.State)
        Me.AxNetMap1.Size = New System.Drawing.Size(912, 377)
        Me.AxNetMap1.TabIndex = 5
        '
        'AxNetLcl1
        '
        Me.AxNetLcl1.Enabled = True
        Me.AxNetLcl1.Location = New System.Drawing.Point(424, 8)
        Me.AxNetLcl1.Name = "AxNetLcl1"
        Me.AxNetLcl1.OcxState = CType(resources.GetObject("AxNetLcl1.OcxState"), System.Windows.Forms.AxHost.State)
        Me.AxNetLcl1.Size = New System.Drawing.Size(32, 32)
        Me.AxNetLcl1.TabIndex = 6
        '
        'AxNetIco1
        '
        Me.AxNetIco1.Enabled = True
        Me.AxNetIco1.Location = New System.Drawing.Point(384, 8)
        Me.AxNetIco1.Name = "AxNetIco1"
        Me.AxNetIco1.OcxState = CType(resources.GetObject("AxNetIco1.OcxState"), System.Windows.Forms.AxHost.State)
        Me.AxNetIco1.Size = New System.Drawing.Size(32, 32)
        Me.AxNetIco1.TabIndex = 7
        '
        'MainForm
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 12)
        Me.ClientSize = New System.Drawing.Size(912, 714)
        Me.Controls.Add(Me.AxNetMap1)
        Me.Controls.Add(Me.AxNetLcl1)
        Me.Controls.Add(Me.AxNetIco1)
        Me.Controls.Add(Me.Splitter)
        Me.Controls.Add(Me.TabControl)
        Me.Controls.Add(Me.StatusBar)
        Me.Controls.Add(Me.ToolBar)
        Me.Menu = Me.MainMenu
        Me.Name = "MainForm"
        Me.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen
        Me.Text = "ACTvZT[rX TvvOiMapDK5|VB.NETj"
        CType(Me.StatusBarPanelScale, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.StatusBarPanelRoadNote, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.StatusBarPanelStatusView, System.ComponentModel.ISupportInitialize).EndInit()
        Me.TabControl.ResumeLayout(False)
        Me.TabPageLocs.ResumeLayout(False)
        Me.TabPageRns.ResumeLayout(False)
        Me.TabPageTrds.ResumeLayout(False)
        CType(Me.AxNetMap1, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.AxNetLcl1, System.ComponentModel.ISupportInitialize).EndInit()
        CType(Me.AxNetIco1, System.ComponentModel.ISupportInitialize).EndInit()
        Me.ResumeLayout(False)

    End Sub

#End Region
    '------------------------------------------------------------------------------
    '	Constants
    '------------------------------------------------------------------------------

    '   [Private]

    '   X^[gn_
    Private Const STARTPOINT_SIGNATURE As String = " *"                 '   ʕ
    Private Const STARTPOINT_SIGNATURE_LENGTH As Int32 = 2              '   ʕ
    '   c[o[
    '   INDEX
    Public Const TOOLBAR_INDEX_POINTSELECT As Int32 = 0                 '   H_I
    Public Const TOOLBAR_INDEX_GRABBER As Int32 = 2                     '   n}ړ
    Public Const TOOLBAR_INDEX_ZOOMIN As Int32 = 3                      '   g
    Public Const TOOLBAR_INDEX_ZOOMOUT As Int32 = 4                     '   k
    '   Xe[^Xo[
    '   pl
    Private Const STATUSBAR_PANEL_SCALE As Int32 = 0                    '   n}̏k
    Private Const STATUSBAR_PANEL_ROAD_NOTE As Int32 = 1                '   vZpHf[^
    Private Const STATUSBAR_PANEL_STATUS_VIEW As Int32 = 2              '   󋵕\
    '   eLXg
    Private Const STATUSBAR_TEXT_SCALE As String = _
    "@kځF ###,###1"                                             '   n}̏k
    Private Const STATUSBAR_TEXT_ROAD_NOTE As String = _
    "@vZpHf[^F "                                             '   vZpHf[^
    Private Const STATUSBAR_TEXT_STATUS_VIEW As String = _
    "@󋵕\F "                                                     '   󋵕\
    '   INIt@C
    Private Const SECTION_NAME_SERVER As String = "SERVER"              '   ڑT[õZNV
    Private Const KEY_NAME_SERVER_USERID As String = "SERVER_USERID"    '   ڑT[o USERID ̃L[
    Private Const SERVER_USERID_DEFAULT As String = ""                  '   ڑT[o USERID ̃ftHgl
    Private Const KEY_NAME_DCADMIN_URL As String = "DCADMIN_URL"        '   ǗT[o URL ̃L[
    Private Const DCADMIN_URL_DEFAULT As String = _
    "http://distcalc.act-inc.co.jp/DCADMIN/Admin.asmx"                  '   ǗT[o URL ̃ftHgl
    '   MapDK WXg(MainForm New MethodŎgp)
    Private Const REGISTORY_KEY_MAIN_MAPDK As String = _
    "SOFTWARE\\Increment P Corporation\"                                '   WXgL[
    Private Const REGISTORY_COMPARE_STRING_MAPDK As String = _
    "MapDK"                                                             '   WXg(For Install Check)
    Private Const REGISTORY_COMPARE_LENGTH_MAPDK As Int32 = 5           '   WXg(For Install Check)
    '   ftHgl
    Private Const POLYGON_LEVEL_DEFAULT As Int32 = -1                   '   ȈՌ^|SxŒl
    Private Const DONUT_POLYGON_LEVEL_DEFAULT As Int32 = -2             '   h[ic|SxŒl
    Private Const TIME_RANGE_DEFAULT As Int32 = 10 * 600                '   B 10 (0.1bP)
    '------------------------------------------------------------------------------
    '	Members
    '------------------------------------------------------------------------------

    '   [Private]

    Private m_ACTDCWS As New StandardDK5.DCService.ACTDCWS              '   vZT[oT[rXIuWFNg
    Private m_DCCommand As New StandardDK5.DCService.DCCommand          '   vZR}hIuWFNg
    Private m_NWInfo As New StandardDK5.DCAdmin.NWInfo                  '   vZpHf[^IuWFNg
    Private m_MapDK5 As New MapDK5                                      '   MapDK5 C^tF[XIuWFNg
    Private m_AreaStartPoint As Int32                                   '   B /  ̃X^[gn_
    Private m_CAParam As StandardDK5.DCService.CAParam                  '   B^vZpp[^
    Private m_COWParam As StandardDK5.DCService.COWParam                '   ГꊇvZpp[^

    '------------------------------------------------------------------------------
    '	Event Handlers
    '------------------------------------------------------------------------------

    '**************************************** Load / Unload ****************************************

    '   tH[̏
    Private Sub MainForm_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        '  T[rX̃^CAEgl
        m_ACTDCWS.Timeout = 30 * 60 * 1000

        '   vZR}h\̂̏
        m_DCCommand.Param = New StandardDK5.DCService.Param                 '   CX^X̍쐬
        '   [vZݒ]
        m_DCCommand.Param.CalcKind = CALCKIND.TIME                          '   ŒZ
        m_DCCommand.Param.NotUseHiway = USEHIGHWAY.NOTUSE                   '   Hgp
        '   [vZʕ\ݒ]
        m_DCCommand.Param.CalcRoute_RouteKind = ROUTEKIND.SIMPLE            '   ȈՃ[g
        m_DCCommand.Param.CalcRoute_TollOutput = TOLLOUTPUT.OUTPUT          '   ʍs̕\
        m_DCCommand.Param.CalcRoute_HighwayOutput = HIGHWAYOUTPUT.NOTOUTPUT '   HԂ̔\
        m_DCCommand.Param.RnsOutput = RNSOUTPUT.NOTOUTPUT                   '   oR_ꗗ\̔\
        m_DCCommand.Param.TrdsOutput = TRDSOUTPUT.NOTOUTPUT                 '   LH׈ꗗ\̔\
        '   [B/vZݒ]
        m_DCCommand.Param.CalcArea_AreaDirection = AREADIRECTION.OUTFLOW    '   BvZ
        m_DCCommand.Param.CalcArea_AreaKind = AREAKIND.TIME                 '   
        m_DCCommand.Param.CalcArea_Range = TIME_RANGE_DEFAULT               '   10(0.1bP)
        m_DCCommand.Param.CalcArea_PolygonLevel = POLYGON_LEVEL_DEFAULT     '   ȈՌ^|S
        '   [̑]
        m_DCCommand.Param.PntsOutput = PNTSOUTPUT.OUTPUT                    '   |Cg̏o([g\ or |S\)
        m_DCCommand.Param.LocsOutput = LOCSOUTPUT.OUTPUT                    '   P[V̏o

        '   B^vZpp[^̏  
        m_CAParam = New StandardDK5.DCService.CAParam                       '   CX^X̍쐬
        m_CAParam.StartGeoPnt = New StandardDK5.DCService.GeoPnt            '   Sn_
        m_CAParam.CalcKind = CALCKIND.TIME                                  '   ŒZ
        m_CAParam.NotUseHiway = USEHIGHWAY.NOTUSE                           '   Hgp
        m_CAParam.AreaDirection = AREADIRECTION.OUTFLOW                     '   BvZ
        m_CAParam.AreaKind = AREAKIND.TIME                                  '   
        m_CAParam.AreaRange = TIME_RANGE_DEFAULT                            '   10(0.1bP)
        m_CAParam.PolygonLevel = POLYGON_LEVEL_DEFAULT                      '   ȈՌ^|S
        m_CAParam.DonutPolygonLevel = DONUT_POLYGON_LEVEL_DEFAULT           '   h[ic|Sx
        '   ГꊇvZpp[^̏  
        m_COWParam = New StandardDK5.DCService.COWParam                     '   CX^X̍쐬
        m_COWParam.StartGeoPnt = New StandardDK5.DCService.GeoPnt           '   Sn_
        m_COWParam.CalcKind = CALCKIND.TIME                                 '   ŒZ
        m_COWParam.NotUseHiway = USEHIGHWAY.NOTUSE                          '   Hgp
        m_COWParam.AreaDirection = AREADIRECTION.OUTFLOW                    '   BvZ
        m_COWParam.AreaKind = AREAKIND.TIME                                 '   
        m_COWParam.AreaRange = TIME_RANGE_DEFAULT                           '   10(0.1bP)


        '   ڑf[^INIt@C烍[h
        m_DCCommand.Environ = New StandardDK5.DCService.Environ             '   CX^X̍쐬
        '   USERID
        m_DCCommand.Environ.UserID = IniFile.GetProfileString(SECTION_NAME_SERVER, KEY_NAME_SERVER_USERID, _
                                                        SERVER_USERID_DEFAULT)
        '   ǗT[oURL
        m_DCCommand.Environ.WSUrl = IniFile.GetProfileString(SECTION_NAME_SERVER, KEY_NAME_DCADMIN_URL, _
                                                        DCADMIN_URL_DEFAULT)
        '   MapDK5 C^tF[X̏
        m_MapDK5.Initialize(AxNetMap1, AxNetLcl1, AxNetIco1)
        '   Xe[^Xo[̏
        '   n}̏k
        StatusBar.Panels(STATUSBAR_PANEL_SCALE).Text = Format(m_MapDK5.MapScale, STATUSBAR_TEXT_SCALE)
        '   vZpHf[^
        StatusBar.Panels(STATUSBAR_PANEL_ROAD_NOTE).Text = STATUSBAR_TEXT_ROAD_NOTE
        '   󋵕\
        StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW
    End Sub

    '**************************************** t@C ****************************************

    '   vZpHf[^I
    Private Sub MenuFileRoadSelect_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuFileRoadSelect.Click
        Dim frm As ServerForm           '   vZpHf[^I_CAO
        Dim args As System.EventArgs    '   CxgCX^X

        '   CX^X쐬
        frm = New ServerForm(m_DCCommand.Environ, m_NWInfo)
        '   vZpHf[^IEBU[h\
        '   EBU[h̕\Jn
        frm.ShowDialog(Me)
        '   {^ꂽH
        If frm.GetResultButton() = ServerForm.RESULT_BUTTON_UPDATE Then
            '   f[^̍XV
            '   INIt@CփZ[u
            '   USERID
            If IniFile.WriteProfileString(SECTION_NAME_SERVER, KEY_NAME_SERVER_USERID, m_DCCommand.Environ.UserID) = 0 Then
                MessageBox.Show("ڑT[o USERID INIt@Cւ݂̏Ɏs܂B", _
                                "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
            '   ǗT[o URL
            If IniFile.WriteProfileString(SECTION_NAME_SERVER, KEY_NAME_DCADMIN_URL, m_DCCommand.Environ.WSUrl) = 0 Then
                MessageBox.Show("ǗT[o URL INIt@Cւ݂̏Ɏs܂B", _
                                "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            End If
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_ROAD_NOTE).Text = STATUSBAR_TEXT_ROAD_NOTE + m_NWInfo.Note '   vZpHf[^
            StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW             '   󋵕\
            '   vZpHf[^ύXɔ
            args = New System.EventArgs '   CxgCX^X̍쐬
            MenuEditClearNodes_Click(MenuEditClearNodes, args)  '   H_NA
            MenuViewClearMap_Click(MenuViewClearMap, args)      '   ʃNA
        End If
        frm.Dispose()   '   j
    End Sub

    '   AvP[VI
    Private Sub MenuFileAppEnd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuFileAppEnd.Click
        End     '   vȌI
    End Sub

    '**************************************** ҏW ****************************************

    '   H_
    Private Sub MenuEditClearNodes_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuEditClearNodes.Click
        '   IuWFNg蓖ĂĂ邩H
        If Not IsNothing(m_DCCommand.Locs) Then
            m_DCCommand.Locs = Nothing              '   e
        End If
        '   ListView ACẽNA
        ListViewLocs.Items.Clear()  '   vZ
        ListViewRns.Items.Clear()   '   oR_
        ListViewTrds.Items.Clear()  '   L񖾍
    End Sub

    '**************************************** \ ****************************************

    '   MapDK̒n}Ɋւ郂[hݒ肷
    Private Sub MenuViewMapControl_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
    MenuEditPointSelect.Click, MenuViewGrabber.Click, MenuViewZoomIn.Click, MenuViewZoomOut.Click
        '   UI tÕZbg
        '   c[o[{^
        ToolBar.Buttons(TOOLBAR_INDEX_POINTSELECT).Pushed = False               '   H_I
        ToolBar.Buttons(TOOLBAR_INDEX_GRABBER).Pushed = False                   '   n}ړ
        ToolBar.Buttons(TOOLBAR_INDEX_ZOOMIN).Pushed = False                    '   g
        ToolBar.Buttons(TOOLBAR_INDEX_ZOOMOUT).Pushed = False                   '   k
        '   Cj[
        MenuEditPointSelect.Checked = False                                     '   H_I
        MenuViewGrabber.Checked = False                                         '   n}ړ
        MenuViewZoomIn.Checked = False                                          '   g
        MenuViewZoomOut.Checked = False                                         '   k
        '   [hl̐ݒ & UI tO̐ݒ
        If sender Is MenuEditPointSelect Then                                   '   H_I
            m_MapDK5.MapControl = MapDK5.MAP_CONTROL_POINTSELECT                '   [hl
            ToolBar.Buttons(TOOLBAR_INDEX_POINTSELECT).Pushed = True            '   c[o[{^
            MenuEditPointSelect.Checked = True                                  '   Cj[
        ElseIf sender Is MenuViewGrabber Then                                   '   n}ړ
            m_MapDK5.MapControl = MapDK5.MAP_CONTROL_GRABBER                    '   [hl
            ToolBar.Buttons(TOOLBAR_INDEX_GRABBER).Pushed = True                '   c[o[{^
            MenuViewGrabber.Checked = True                                      '   Cj[
        ElseIf sender Is MenuViewZoomIn Then                                    '   g
            m_MapDK5.MapControl = MapDK5.MAP_CONTROL_ZOOMIN                     '   [hl
            ToolBar.Buttons(TOOLBAR_INDEX_ZOOMIN).Pushed = True                 '   c[o[{^
            MenuViewZoomIn.Checked = True                                       '   Cj[
        ElseIf sender Is MenuViewZoomOut Then                                   '   k
            m_MapDK5.MapControl = MapDK5.MAP_CONTROL_ZOOMOUT                    '   [hl
            ToolBar.Buttons(TOOLBAR_INDEX_ZOOMOUT).Pushed = True                '   c[o[{^
            MenuViewZoomOut.Checked = True                                      '   Cj[
        End If
    End Sub

    '   n}̃IuWFNg
    Private Sub MenuViewClearMap_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuViewClearMap.Click
        m_MapDK5.ClearMap()    '   ʃNA
    End Sub

    '   n}̕\kڒlݒ肷
    Private Sub MenuViewScale_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuViewJapan.Click, MenuView3200000.Click, MenuView1600000.Click, MenuView800000.Click, MenuView400000.Click, MenuView200000.Click, MenuView100000.Click, MenuView50000.Click, MenuView25000.Click, MenuView12500.Click, MenuView6250.Click, MenuViewDetail1.Click, MenuViewDetail2.Click, MenuViewDetail3.Click
        '   n}̕\kڒl̐ݒ
        If sender Is MenuViewJapan Then
            m_MapDK5.SetScaleforDK5(6400000)            '   k6401
        ElseIf sender Is MenuView3200000 Then
            m_MapDK5.SetScaleforDK5(3200000)            '   k3201
        ElseIf sender Is MenuView1600000 Then
            m_MapDK5.SetScaleforDK5(1600000)            '   k1601
        ElseIf sender Is MenuView800000 Then
            m_MapDK5.SetScaleforDK5(800000)             '   k801
        ElseIf sender Is MenuView400000 Then
            m_MapDK5.SetScaleforDK5(400000)             '   k401
        ElseIf sender Is MenuView200000 Then
            m_MapDK5.SetScaleforDK5(200000)             '   k201
        ElseIf sender Is MenuView100000 Then
            m_MapDK5.SetScaleforDK5(100000)             '   k101
        ElseIf sender Is MenuView50000 Then
            m_MapDK5.SetScaleforDK5(50000)              '   k51
        ElseIf sender Is MenuView25000 Then
            m_MapDK5.SetScaleforDK5(25000)              '   k25番1
        ElseIf sender Is MenuView12500 Then
            m_MapDK5.SetScaleforDK5(12500)              '   k12.5番1
        ElseIf sender Is MenuView6250 Then
            m_MapDK5.SetScaleforDK5(6250)               '   k62501
        ElseIf sender Is MenuViewDetail1 Then
            m_MapDK5.SetScaleforDK5(3125)               '   k31251
        ElseIf sender Is MenuViewDetail2 Then
            m_MapDK5.SetScaleforDK5(1562)               '   k15621
        ElseIf sender Is MenuViewDetail3 Then
            m_MapDK5.SetScaleforDK5(781)                '   k7811
        Else
            Exit Sub                                    '   ȊO
        End If
        '   Xe[^Xo[̍XV
        StatusBar.Panels(STATUSBAR_PANEL_SCALE).Text = Format(m_MapDK5.MapScale, STATUSBAR_TEXT_SCALE)
    End Sub

    '   TCY̊g
    Private Sub MenuViewTextLevelLarge_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuViewTextLevelLarge.Click
    End Sub

    '   TCY̏k
    Private Sub MenuViewTextLevelSmall_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuViewTextLevelSmall.Click
    End Sub

    '**************************************** vZ ****************************************

    '   [gvZ or ŒZ[gvZs
    Private Sub MenuCalcRoute_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles _
            MenuCalcRoute.Click, MenuCalcOptRoute.Click
        Dim frm As RouteForm                                '   [gvZ/ŒZ[gvZݒtH[NX
        Dim DCAdminServer As StandardDK5.DCAdmin.ACTDCADMIN '   ǗT[oNX
        Dim DCAdminEnviron As StandardDK5.DCAdmin.Environ   '   ǗT[oݒNX
        Dim preCursor As Cursor                             '   ޔpJ[\

        '------------------------------------------------------------------------------
        '   vZR}h\̓̔zf[^̃Zbg
        '------------------------------------------------------------------------------

        If Not IsNothing(m_DCCommand.Rns) Then  '   oR_
            m_DCCommand.Rns = Nothing                   '   e
        End If
        If Not IsNothing(m_DCCommand.Trds) Then '   LH
            m_DCCommand.Trds = Nothing                  '   e
        End If
        If Not IsNothing(m_DCCommand.Pnts) Then '   |Cg
            m_DCCommand.Pnts = Nothing                  '   e
        End If

        m_DCCommand.ResultMessage = ""                  '   ʃbZ[W

        '------------------------------------------------------------------------------
        '   vZR}h̐ݒ
        '------------------------------------------------------------------------------

        If sender Is MenuCalcRoute Then         '   [gvZ
            '   H_͎w肳Ă邩H
            If (IsNothing(m_DCCommand.Locs)) OrElse (m_DCCommand.Locs.Length < 2) Then
                MessageBox.Show("n_Q_ȏw肵ĉB", "x", _
                                MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                Exit Sub
            End If

            '   R}h
            m_DCCommand.Command = COMMAND.CALCROUTE     '   [gvZ

        ElseIf sender Is MenuCalcOptRoute Then  '   ŒZ[gvZ
            '   H_͎w肳Ă邩H
            If (IsNothing(m_DCCommand.Locs)) OrElse (m_DCCommand.Locs.Length < 3) Then
                MessageBox.Show("n_R_ȏw肵ĉB", "x", _
                                MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
                Exit Sub
            End If

            '   R}h
            m_DCCommand.Command = COMMAND.CALCOPTROUTE  '   ŒZ[gvZ

        End If

        '------------------------------------------------------------------------------
        '   ǗT[o狗vZT[o̐ݒ
        '------------------------------------------------------------------------------

        '   CX^X̍쐬
        DCAdminServer = New StandardDK5.DCAdmin.ACTDCADMIN  '   ǗT[oIuWFNg
        DCAdminEnviron = New StandardDK5.DCAdmin.Environ    '   ǗT[oݒIuWFNg
        '   ǗT[oݒ
        Try
            DCAdminServer.Url = m_DCCommand.Environ.WSUrl   '   ǗT[oURL
        Catch ex As Exception
            MessageBox.Show("ǗT[o URL http:// ͂ĂB" + vbCrLf + ex.Message, _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        DCAdminEnviron.UserID = m_DCCommand.Environ.UserID  '   USERID
        DCAdminEnviron.UUID = m_DCCommand.Environ.UUID      '   UUID
        Try
            '   vZT[oURL̎擾ɐH
            If DCAdminServer.GetUsableDCServer(DCAdminEnviron, m_NWInfo) = False Then
                MessageBox.Show("vZT[o̎擾Ɏs܂B" + vbCrLf + "vZpHf[^I̐ݒmFĂB", _
                                "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        '   vZT[o̐ݒ
        m_ACTDCWS.Url = DCAdminEnviron.WSURL            '   vZT[oURL
        m_DCCommand.Environ.Host = DCAdminEnviron.Host  '   XiIPAhX
        m_DCCommand.Environ.Port = DCAdminEnviron.Port  '   Xi|[gԍ

        '------------------------------------------------------------------------------
        '   vZp[^̐ݒ
        '------------------------------------------------------------------------------

        frm = New RouteForm(m_DCCommand.Param)  '   CX^X쐬
        If frm.ShowDialog(Me) <> DialogResult.OK Then    '   \
            frm.Dispose()   '   j
            Exit Sub
        End If
        frm.Dispose()   '   j

        '------------------------------------------------------------------------------
        '   vZ̎s
        '------------------------------------------------------------------------------

        '   }EXJ[\ҋ@
        preCursor = Cursor.Current
        Cursor.Current = Cursors.WaitCursor

        Try
            '   vZ̎s
            If m_ACTDCWS.InvokeService(m_DCCommand) = True Then
                '   vZR}h\̂̒n}ւ̕`
                m_MapDK5.TextColor = RGB(255, 0, 0)                             '   n_`̕F ԐF ɐݒ
                m_MapDK5.PointTextFillColor = RGB(255, 255, 0)                  '   n_`̃eLXg\̔wiF F ɐݒ
                m_MapDK5.LineColor = RGB(255, 0, 0)                             '   oH`̐F ԐF ɐݒ
                m_MapDK5.DrawDistCalcRoute(m_DCCommand)                         '   n}`̎s
                '   ListView ̍XV
                UpdateListViewLocs()   '   vZ
                UpdateListViewRns()    '   oR_
                UpdateListViewTrds()   '   LH
                '   bZ[Wݒ肳Ă邩H
                If m_DCCommand.ResultMessage.Length > 0 Then
                    MessageBox.Show(m_DCCommand.ResultMessage, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)   '   ResultMessage ̏o
                End If
                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                "vZT[oURL " + m_ACTDCWS.Url + " " + _
                "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                "擾܂"
            Else
                If m_DCCommand.Command = COMMAND.CALCROUTE Then         '   [gvZ
                    MessageBox.Show("[gvZɎs܂B" + vbCrLf + m_DCCommand.ResultMessage, _
                                    "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                ElseIf m_DCCommand.Command = COMMAND.CALCOPTROUTE Then  '   ŒZ[gvZ
                    MessageBox.Show("ŒZ[gvZɎs܂B" + vbCrLf + m_DCCommand.ResultMessage, _
                                    "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                End If
                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                    "vZT[oURL " + m_ACTDCWS.Url + " " + _
                    "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                    "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                    "̎擾Ɏs"
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)   '   ObZ[W̏o
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                "vZT[oURL " + m_ACTDCWS.Url + " " + _
                "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                "̎擾Ɏs"
        End Try

        '   }EXJ[\ɖ߂
        Cursor.Current = preCursor
    End Sub

    '   BvZ or vZs
    Private Sub MenuCalcArea_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuCalcArea.Click
        Dim frm As AreaForm                                 '   B/vZݒtH[NX
        Dim DCAdminServer As StandardDK5.DCAdmin.ACTDCADMIN '   ǗT[oNX
        Dim DCAdminEnviron As StandardDK5.DCAdmin.Environ   '   ǗT[oݒNX
        Dim preCursor As Cursor                             '   ޔpJ[\
        Dim resultCode As Integer                           '   vŽʃR[h

        '------------------------------------------------------------------------------
        '   vZR}h\̓̔zf[^̃Zbg
        '------------------------------------------------------------------------------

        If Not IsNothing(m_DCCommand.Rns) Then          '   oR_
            m_DCCommand.Rns = Nothing                   '   e
        End If
        If Not IsNothing(m_DCCommand.Trds) Then         '   LH
            m_DCCommand.Trds = Nothing                  '   e
        End If
        If Not IsNothing(m_DCCommand.Pnts) Then         '   |Cg
            m_DCCommand.Pnts = Nothing                  '   e
        End If

        m_DCCommand.ResultMessage = ""                  '   ʃbZ[W

        '------------------------------------------------------------------------------
        '   ʂ̋vZR}ho̐ݒ
        '------------------------------------------------------------------------------

        '   X^[gn_͎w肳Ă邩H
        If IsNothing(m_DCCommand.Locs) Then
            MessageBox.Show("n_w肵ĉB", "x", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If

        '   n_f[^
        m_CAParam.StartGeoPnt.Node = CStr(0)                              '   m[h
        m_CAParam.StartGeoPnt.Lon = m_DCCommand.Locs(m_AreaStartPoint).Lon    '   ox
        m_CAParam.StartGeoPnt.Lat = m_DCCommand.Locs(m_AreaStartPoint).Lat    '   ܓx

        '------------------------------------------------------------------------------
        '   ǗT[o狗vZT[o̐ݒ
        '------------------------------------------------------------------------------

        '   CX^X̍쐬
        DCAdminServer = New StandardDK5.DCAdmin.ACTDCADMIN   '   ǗT[oIuWFNg
        DCAdminEnviron = New StandardDK5.DCAdmin.Environ     '   ǗT[oݒIuWFNg

        '   ǗT[oݒ
        Try
            DCAdminServer.Url = m_DCCommand.Environ.WSUrl   '   ǗT[oURL
        Catch ex As Exception
            MessageBox.Show("ǗT[o URL http:// ͂ĂB" + vbCrLf + ex.Message, _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        DCAdminEnviron.UserID = m_DCCommand.Environ.UserID  '   USERID
        DCAdminEnviron.UUID = m_DCCommand.Environ.UUID      '   UUID
        Try
            '   vZT[oURL̎擾ɐH
            If DCAdminServer.GetUsableDCServer(DCAdminEnviron, m_NWInfo) = False Then
                MessageBox.Show("vZT[o̎擾Ɏs܂B" + vbCrLf + "vZpHf[^I̐ݒmFĂB", _
                                "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        '   vZT[o̐ݒ
        m_ACTDCWS.Url = DCAdminEnviron.WSURL            '   vZT[oURL
        m_DCCommand.Environ.Host = DCAdminEnviron.Host  '   XiIPAhX
        m_DCCommand.Environ.Port = DCAdminEnviron.Port  '   Xi|[gԍ

        '------------------------------------------------------------------------------
        '   vZp[^̐ݒ
        '------------------------------------------------------------------------------

        frm = New AreaForm(m_CAParam)   '   CX^X쐬
        If frm.ShowDialog(Me) <> DialogResult.OK Then   '   \
            frm.Dispose()   '   j
            Exit Sub
        End If
        frm.Dispose()   '   j

        '------------------------------------------------------------------------------
        '   vZ̎s
        '------------------------------------------------------------------------------

        '   }EXJ[\ҋ@
        preCursor = Cursor.Current
        Cursor.Current = Cursors.WaitCursor

        Try
            '   vZ̎s
            resultCode = m_ACTDCWS.CalcArea(m_DCCommand.Environ, m_CAParam, m_DCCommand.Pnts, m_DCCommand.NWInfo)
            '   vZ̎s
            If resultCode = 0 Then
                '   vZR}h\̂̒n}ւ̕`
                m_MapDK5.TextColor = RGB(255, 0, 0)                                  '   n_`̕F ԐF ɐݒ
                m_MapDK5.PointTextFillColor = RGB(255, 255, 0)                       '   n_`̃eLXg\̔wiF F ɐݒ
                m_MapDK5.LineColor = RGB(255, 255, 0)                                '   oH`̐F F ɐݒ
                m_MapDK5.LineColorDonut = RGB(255, 0, 0)                             '   h[icoH`̐F ԐF ɐݒ
                m_MapDK5.DrawDistCalcArea(m_DCCommand.Pnts, m_CAParam.StartGeoPnt) '   n}`̎s

                '   ListView ̍XV
                UpdateListViewLocs()   '   vZ
                UpdateListViewRns()    '   oRn_ꗗ
                UpdateListViewTrds()   '   L񖾍

                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                    "vZT[oURL " + m_ACTDCWS.Url + " " + _
                    "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                    "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                    "擾܂"
            Else
                '   G[bZ[W̎擾ƕ\
                Dim errorMessage As String = m_ACTDCWS.GetDCWSMessage(m_DCCommand.Environ, resultCode)
                If m_CAParam.AreaDirection = AREADIRECTION.OUTFLOW Then        '   BvZ
                    If m_CAParam.AreaKind = AREAKIND.TIME Then                 '   
                        MessageBox.Show("ԓBvZɎs܂B" + vbCrLf + errorMessage, _
                                        "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                    ElseIf m_CAParam.AreaKind = AREAKIND.DIST Then             '   
                        MessageBox.Show("BvZɎs܂B" + vbCrLf + errorMessage, _
                                        "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                    End If
                ElseIf m_CAParam.AreaDirection = AREADIRECTION.INFLOW Then     '   vZ
                    If m_CAParam.AreaKind = AREAKIND.TIME Then                 '   
                        MessageBox.Show("ԗvZɎs܂B" + vbCrLf + errorMessage, _
                                        "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                    ElseIf m_CAParam.AreaKind = AREAKIND.DIST Then             '   
                        MessageBox.Show("vZɎs܂B" + vbCrLf + errorMessage, _
                                        "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                    End If
                End If
                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                    "vZT[oURL " + m_ACTDCWS.Url + " " + _
                    "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                    "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                    "̎擾Ɏs"
            End If

        Catch ex As Exception
            MessageBox.Show(ex.Message, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)   '   ObZ[W̏o
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                "vZT[oURL " + m_ACTDCWS.Url + " " + _
                "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                "̎擾Ɏs"
        End Try

        '   }EXJ[\ɖ߂
        Cursor.Current = preCursor
    End Sub

    '   ГꊇvZs
    Private Sub MenuCalcOneWay_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuCalcOneWay.Click
        Dim frm As OneWayForm                               '   ГꊇvZݒtH[NX
        Dim DCAdminServer As StandardDK5.DCAdmin.ACTDCADMIN '   ǗT[oNX
        Dim DCAdminEnviron As StandardDK5.DCAdmin.Environ   '   ǗT[oݒNX
        Dim i As Int32                                      '   JE^
        Dim preCursor As Cursor                             '   ޔpJ[\
        Dim resultCode As Integer                           '   vŽʃR[h

        '------------------------------------------------------------------------------
        '   vZR}h\̓̔zf[^̃Zbg
        '------------------------------------------------------------------------------

        If Not IsNothing(m_DCCommand.Rns) Then          '   oR_
            m_DCCommand.Rns = Nothing                   '   e
        End If
        If Not IsNothing(m_DCCommand.Trds) Then         '   LH
            m_DCCommand.Trds = Nothing                  '   e
        End If
        If Not IsNothing(m_DCCommand.Pnts) Then         '   |Cg
            m_DCCommand.Pnts = Nothing                  '   e
        End If

        m_DCCommand.ResultMessage = ""                  '   ʃbZ[W

        '------------------------------------------------------------------------------
        '   ʂ̋vZR}ho̐ݒ
        '------------------------------------------------------------------------------

        '   X^[gn_͎w肳Ă邩H
        If IsNothing(m_DCCommand.Locs) Then
            MessageBox.Show("n_w肵ĉB", "x", MessageBoxButtons.OK, MessageBoxIcon.Exclamation)
            Exit Sub
        End If

        '   n_f[^
        m_COWParam.StartGeoPnt.Node = CStr(0)                                   '   m[h
        m_COWParam.StartGeoPnt.Lon = m_DCCommand.Locs(m_AreaStartPoint).Lon     '   ox
        m_COWParam.StartGeoPnt.Lat = m_DCCommand.Locs(m_AreaStartPoint).Lat     '   ܓx

        '------------------------------------------------------------------------------
        '   ǗT[o狗vZT[o̐ݒ
        '------------------------------------------------------------------------------

        '   CX^X̍쐬
        DCAdminServer = New StandardDK5.DCAdmin.ACTDCADMIN  '   ǗT[oIuWFNg
        DCAdminEnviron = New StandardDK5.DCAdmin.Environ    '   ǗT[oݒIuWFNg
        '   ǗT[oݒ
        Try
            DCAdminServer.Url = m_DCCommand.Environ.WSUrl   '   ǗT[oURL
        Catch ex As Exception
            MessageBox.Show("ǗT[o URL http:// ͂ĂB" + vbCrLf + ex.Message, _
                            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        DCAdminEnviron.UserID = m_DCCommand.Environ.UserID  '   USERID
        DCAdminEnviron.UUID = m_DCCommand.Environ.UUID      '   UUID
        Try
            '   vZT[oURL̎擾ɐH
            If DCAdminServer.GetUsableDCServer(DCAdminEnviron, m_NWInfo) = False Then
                MessageBox.Show("vZT[o̎擾Ɏs܂B" + vbCrLf + "vZpHf[^I̐ݒmFĂB", _
                                "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
                Exit Sub
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)
            Exit Sub
        End Try
        '   vZT[o̐ݒ
        m_ACTDCWS.Url = DCAdminEnviron.WSURL                '   vZT[oURL
        m_DCCommand.Environ.Host = DCAdminEnviron.Host      '   XiIPAhX
        m_DCCommand.Environ.Port = DCAdminEnviron.Port      '   Xi|[gԍ

        '------------------------------------------------------------------------------
        '   vZp[^̐ݒ
        '------------------------------------------------------------------------------

        frm = New OneWayForm(m_COWParam)                '   CX^X쐬
        If frm.ShowDialog(Me) <> DialogResult.OK Then   '   \
            frm.Dispose()                               '   j
            Exit Sub
        End If
        frm.Dispose()                                   '   j

        '------------------------------------------------------------------------------
        '	P[Vwƌʎ󂯎pϐݒ
        '------------------------------------------------------------------------------

        Dim geoLocs(m_DCCommand.Locs.Length) As DCService.GeoLoc  '  P[V\̂̔z
        For i = 0 To m_DCCommand.Locs.Length - 1
            geoLocs(i) = New DCService.GeoLoc
            geoLocs(i).Node = m_DCCommand.Locs(i).Node
            geoLocs(i).Lon = m_DCCommand.Locs(i).Lon
            geoLocs(i).Lat = m_DCCommand.Locs(i).Lat
            geoLocs(i).Tag = m_DCCommand.Locs(i).Tag
        Next

        '------------------------------------------------------------------------------
        '   ГꊇvZ̎s
        '------------------------------------------------------------------------------

        '   }EXJ[\ҋ@
        preCursor = Cursor.Current
        Cursor.Current = Cursors.WaitCursor

        Try
            '   vZ̎s
            resultCode = m_ACTDCWS.CalcOneWay(m_DCCommand.Environ, m_COWParam, geoLocs, m_DCCommand.NWInfo)
            '   ГꊇvZ̎s
            If resultCode = 0 Then
                '   vZʂ𔽉f
                For i = 0 To geoLocs.Length - 1
                    m_DCCommand.Locs(i).Node = geoLocs(i).Node
                    m_DCCommand.Locs(i).Lon = geoLocs(i).Lon
                    m_DCCommand.Locs(i).Lat = geoLocs(i).Lat
                    m_DCCommand.Locs(i).Time = geoLocs(i).Time
                    m_DCCommand.Locs(i).DSec = geoLocs(i).DSec
                    m_DCCommand.Locs(i).Dist = geoLocs(i).Dist
                    m_DCCommand.Locs(i).HighwayTime = geoLocs(i).HighwayTime
                    m_DCCommand.Locs(i).HighwayDSec = geoLocs(i).HighwayDSec
                    m_DCCommand.Locs(i).HighwayDist = geoLocs(i).HighwayDist
                    m_DCCommand.Locs(i).Toll_SS = geoLocs(i).Toll_SS
                    m_DCCommand.Locs(i).Toll_S = geoLocs(i).Toll_S
                    m_DCCommand.Locs(i).Toll_M = geoLocs(i).Toll_M
                    m_DCCommand.Locs(i).Toll_L = geoLocs(i).Toll_L
                    m_DCCommand.Locs(i).Toll_LL = geoLocs(i).Toll_LL
                    m_DCCommand.Locs(i).Tag = geoLocs(i).Tag
                Next

                '   vZR}h\̂̒n}ւ̕`
                m_MapDK5.TextColor = RGB(255, 0, 0)                                    '   n_`̕F ԐF ɐݒ
                m_MapDK5.PointTextFillColor = RGB(255, 255, 0)                         '   n_`̃eLXg\̔wiF F ɐݒ
                m_MapDK5.LineColor = RGB(255, 255, 0)                                  '   oH`̐F F ɐݒ
                m_MapDK5.DrawDistCalcOneWay(m_DCCommand.Locs, m_COWParam.StartGeoPnt) '   n}`̎s

                '   ListView ̍XV
                UpdateListViewLocs()   '   vZ
                UpdateListViewRns()    '   oRn_ꗗ
                UpdateListViewTrds()   '   L񖾍

                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                    "vZT[oURL " + m_ACTDCWS.Url + " " + _
                    "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                    "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                    "擾܂"
            Else
                '   G[bZ[W̎擾ƕ\
                Dim errorMessage As String = m_ACTDCWS.GetDCWSMessage(m_DCCommand.Environ, resultCode)
                MessageBox.Show("ГꊇvZɎs܂B" + vbCrLf + errorMessage, "vZT[o", _
                                MessageBoxButtons.OK, MessageBoxIcon.Error)

                '   Xe[^Xo[̍XV
                StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                    "vZT[oURL " + m_ACTDCWS.Url + " " + _
                    "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                    "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                    "̎擾Ɏs"
            End If
        Catch ex As Exception
            MessageBox.Show(ex.Message, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error)   '   ObZ[W̏o
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_STATUS_VIEW).Text = STATUSBAR_TEXT_STATUS_VIEW + _
                "vZT[oURL " + m_ACTDCWS.Url + " " + _
                "XiIPAhX " + m_DCCommand.Environ.Host + " " + _
                "|[gԍ " & m_DCCommand.Environ.Port & " " + _
                "̎擾Ɏs"
        End Try

        '   }EXJ[\ɖ߂
        Cursor.Current = preCursor
    End Sub


    '**************************************** wv ****************************************

    '   o[W_CAOĂяo
    Private Sub MenuHelpVersion_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuHelpVersion.Click
        Dim frm As AboutForm    '   o[W_CAO

        frm = New AboutForm     '   CX^X쐬
        frm.ShowDialog(Me)      '   \
        frm.Dispose()           '   j
    End Sub

    '**************************************** MapDK5 ****************************************

    '   In_𒆉ɂ
    Private Sub AxNetMap1_DblClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles AxNetMap1.DblClick
        '   n}Ɋւ郂[hn}ړ[hH
        If m_MapDK5.MapControl = MapDK5.MAP_CONTROL_GRABBER Then
            'm_MapDK5.PanMap(e.longitude, e.latitude)   '   In_𒆉
        End If
    End Sub

    '   ꂼ̒n}샂[hɂNbN
    Private Sub AxNetMap1_MouseUpEvent(ByVal sender As Object, ByVal e As AxNETMAPLib._IDKNetMapCtrlEvents_MouseUpEvent) Handles AxNetMap1.MouseUpEvent
        Dim NewLoc As StandardDK5.DCService.Loc  '   P[VNX

        ' NbNȊOexit
        If e.button <> 1 Then
            Exit Sub
        End If

        '   n}Ɋւ郂[hĺH
        If m_MapDK5.MapControl = MapDK5.MAP_CONTROL_POINTSELECT Then    '   H_I
            '   IuWFNg蓖ĂĂ邩H
            If IsNothing(m_DCCommand.Locs) Then
                ReDim m_DCCommand.Locs(0)                                   '   z̐擪vfmۂ
            Else
                ReDim Preserve m_DCCommand.Locs(m_DCCommand.Locs.Length)    '   z̗vfcāA̗vf 1 g
            End If

            '   VK P[V IuWFNg̍쐬
            NewLoc = New StandardDK5.DCService.Loc                      '   CX^X̍쐬
            NewLoc.Lon = CStr(CDbl(e.longitude) / 3600.0F / 256.0F)     '   ox
            NewLoc.Lat = CStr(CDbl(e.latitude) / 3600.0F / 256.0F)      '   ܓx
            NewLoc.Tag = "p_" & m_DCCommand.Locs.Length             '   ^O
            NewLoc.Node = CStr(0)                                       '   m[h

            '   P[V\̔zɃP[V\̂ǉ
            m_DCCommand.Locs(m_DCCommand.Locs.Length - 1) = NewLoc

            '   H_̕\
            m_MapDK5.TextColor = RGB(255, 0, 0)                             '   n_`̕F ԐF ɐݒ
            m_MapDK5.PointTextFillColor = RGB(255, 255, 0)                  '   n_`̃eLXg\̔wiF F ɐݒ
            m_MapDK5.DrawLastLoc(m_DCCommand)                               '   n}`̎s

            '   ߂Ďw肳ꂽH_H
            If m_DCCommand.Locs.Length = 1 Then
                m_AreaStartPoint = 0    '   X^[gn_̏
            End If
            '   ListView̍XV
            UpdateListViewLocs()
        ElseIf m_MapDK5.MapControl = MapDK5.MAP_CONTROL_GRABBER Then    '   n}ړ
            Splitter.Visible = True '   Xvb^\( MXView_MapLButtonDown Ƃ̊֘A)
        ElseIf m_MapDK5.MapControl = MapDK5.MAP_CONTROL_ZOOMIN Then     '   g
            m_MapDK5.SetScaleforDK5(m_MapDK5.MapScale * 0.8)    '   kڒl̕ύX
            m_MapDK5.PanMap(e.longitude, e.latitude)            '   In_𒆉
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_SCALE).Text = Format(m_MapDK5.MapScale, STATUSBAR_TEXT_SCALE)
        ElseIf m_MapDK5.MapControl = MapDK5.MAP_CONTROL_ZOOMOUT Then    '   k
            m_MapDK5.SetScaleforDK5(m_MapDK5.MapScale * 1.2)    '   kڒl̕ύX
            m_MapDK5.PanMap(e.longitude, e.latitude)            '   In_𒆉
            '   Xe[^Xo[̍XV
            StatusBar.Panels(STATUSBAR_PANEL_SCALE).Text = Format(m_MapDK5.MapScale, STATUSBAR_TEXT_SCALE)
        End If
    End Sub

    '   n}̕\kڕ\
    Private Sub AxNetMap1_ScaleChanged(ByVal sender As Object, ByVal e As AxNETMAPLib._IDKNetMapCtrlEvents_ScaleChangedEvent) Handles AxNetMap1.ScaleChanged
        '   Xe[^Xo[̍XV
        StatusBar.Panels(STATUSBAR_PANEL_SCALE).Text = Format(m_MapDK5.MapScale, STATUSBAR_TEXT_SCALE)
    End Sub

    '**************************************** ToolBar ****************************************

    '   c[o[{^̑
    Private Sub ToolBar_ButtonClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.ToolBarButtonClickEventArgs) Handles ToolBar.ButtonClick
        Dim args As System.EventArgs    '   CxgCX^X

        args = New System.EventArgs '   CxgCX^X̍쐬

        '   Cj[Ƃ̋ʃR}h
        If e.Button Is ToolBarButtonPointSelect Then                '   H_I
            MenuViewMapControl_Click(MenuEditPointSelect, args)
        ElseIf e.Button Is ToolBarButtonGrabber Then                '   n}ړ
            MenuViewMapControl_Click(MenuViewGrabber, args)
        ElseIf e.Button Is ToolBarButtonZoomIn Then                 '   g
            MenuViewMapControl_Click(MenuViewZoomIn, args)
        ElseIf e.Button Is ToolBarButtonZoomOut Then                '   k
            MenuViewMapControl_Click(MenuViewZoomOut, args)
        ElseIf e.Button Is ToolBarButtonClearMap Then               '   ʃNA
            MenuViewClearMap_Click(MenuViewClearMap, args)
        ElseIf e.Button Is ToolBarButtonClearNodes Then             '   H_NA
            MenuEditClearNodes_Click(MenuEditClearNodes, args)
        ElseIf e.Button Is ToolBarButtonCalcRoute Then              '   [gvZ
            MenuCalcRoute_Click(MenuCalcRoute, args)
        ElseIf e.Button Is ToolBarButtonCalcOptRoute Then           '   ŒZ[gvZ
            MenuCalcRoute_Click(MenuCalcOptRoute, args)
        ElseIf e.Button Is ToolBarButtonCalcArea Then               '   B/vZ
            MenuCalcArea_Click(MenuCalcArea, args)
        ElseIf e.Button Is ToolBarButtonCalcOneWay Then             '   ГꊇvZ
            MenuCalcOneWay_Click(MenuCalcOneWay, args)
        End If
    End Sub

    '**************************************** ListView ****************************************

    '   ListView (vZ)ł̃ReLXgj[̑
    Private Sub ContextMenuCalcAreaStartPoint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ContextMenuCalcAreaStartPoint.Click
        Dim nSelectedIndex As Int32 '   IĂ INDEX ԍ

        Try
            '   IĂ INDEX ԍ̎擾
            nSelectedIndex = ListViewLocs.SelectedItems.Item(0).Index
        Catch ex As ArgumentOutOfRangeException
            Exit Sub
        End Try
        '   VKX^[gn_̎w
        m_AreaStartPoint = nSelectedIndex
        '   ListView ̍XV
        UpdateListViewLocs()
    End Sub

    '   ListView (vZ)̑Iꂽs̒n_n}̒ɂ
    Private Sub ListViewLocs_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles ListViewLocs.DoubleClick
        Dim nSelectedIndex As Int32 '   IĂ INDEX ԍ
        Dim nLon As Int32           '   S_ɐݒ肷ox
        Dim nLat As Int32           '   S_ɐݒ肷ܓx

        '   IĂ INDEX ԍ̎擾
        nSelectedIndex = ListViewLocs.SelectedItems.Item(0).Index
        nLon = CDbl(m_DCCommand.Locs(nSelectedIndex).Lon) * 3600.0F * 256.0F    '   ox
        nLat = CDbl(m_DCCommand.Locs(nSelectedIndex).Lat) * 3600.0F * 256.0F    '   ܓx
        '   ox/ܓx͐ȒlH
        If (nLon >= 0) AndAlso (nLat >= 0) Then
            m_MapDK5.PanMap(nLon, nLat) '   In_𒆉
        End If
    End Sub

    '------------------------------------------------------------------------------
    '	Methods
    '------------------------------------------------------------------------------

    '   [Private]

    '**************************************** o͌n ****************************************

    '   ListView (vZ)XV
    '   p[^
    '       Ȃ
    '   ߂l
    '       Ȃ
    Private Sub UpdateListViewLocs()
        Dim i As Int32  '   JE^

        ListViewLocs.Items.Clear()  '   ListView ACeSăNA

        If m_DCCommand.Locs Is Nothing Then
            Return
        End If

        '   ListView ACeƂăP[V\̔zݒ
        For i = 0 To m_DCCommand.Locs.Length - 1
            ListViewLocs.Items.Add(CStr(i + 1))                                             '   n_ No
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Tag)                     '   p_
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Node)                    '   m[h
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Lon)                     '   ox
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Lat)                     '   ܓx
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).DSec.ToString())         '   v(0.1b)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Time.ToString())         '   v()
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Dist.ToString())         '   ̂(m)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).HighwayDSec.ToString())  '   v(0.1b)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).HighwayTime.ToString())  '   v()
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).HighwayDist.ToString())  '   ̂(m)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Toll_SS.ToString())      '   ֥y(SS)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Toll_S.ToString())       '   ʗ(S)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Toll_M.ToString())       '   ^(M)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Toll_L.ToString())       '   ^(L)
            ListViewLocs.Items(i).SubItems.Add(m_DCCommand.Locs(i).Toll_LL.ToString())      '   嗿(LL)
        Next
        '   B /  ̃X^[gn_̓o^
        ListViewLocs.Items(m_AreaStartPoint).Text += STARTPOINT_SIGNATURE
    End Sub

    '   ListView (oR_)XV
    '   p[^
    '       Ȃ
    '   ߂l
    '       Ȃ
    Private Sub UpdateListViewRns()
        Dim i As Int32  '   JE^

        ListViewRns.Items.Clear()   '   ListView ACeSăNA

        If m_DCCommand.Rns Is Nothing Then
            Return
        End If

        '   ListView ACeƂČoRH\̔zݒ
        For i = 0 To m_DCCommand.Rns.Length - 1
            ListViewRns.Items.Add(CStr(i + 1))                                          '   No.
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).LocFlag.ToString())    '   P[VtO
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).LinkFlag.ToString())   '   ڑtO
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).NLCode)                '   m[h
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Name)                  '   _
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).DSec.ToString())       '   (0.1b)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Time.ToString())       '   ()
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Dist.ToString())       '   ̂(m)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Toll_SS.ToString())    '   ֥y(SS)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Toll_S.ToString())     '   ʗ(S)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Toll_M.ToString())     '   ^(M)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Toll_L.ToString())     '   ^(L)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Toll_LL.ToString())    '   嗿(LL)
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).ICType.ToString())     '   IC 
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Lon)                   '   ox
            ListViewRns.Items(i).SubItems.Add(m_DCCommand.Rns(i).Lat)                   '   ܓx
        Next
    End Sub

    '   ListView (LH)XV
    '   p[^
    '       Ȃ
    '   ߂l
    '       Ȃ
    Private Sub UpdateListViewTrds()
        Dim i As Int32  '   JE^

        ListViewTrds.Items.Clear()  '   ListView ACeSăNA

        If m_DCCommand.Trds Is Nothing Then
            Return
        End If

        '   ListView ACeƂČoRLH\̔zݒ
        For i = 0 To m_DCCommand.Trds.Length - 1
            ListViewTrds.Items.Add(CStr(i + 1))                                         '   No.
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).InRdName)            '   H
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).InICName)            '    IC
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).OutRdName)           '   oH
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).OutICName)           '   o IC
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Toll_SS.ToString())  '   ֥y(SS)
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Toll_S.ToString())   '   ʗ(S)
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Toll_M.ToString())   '   ^(M)
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Toll_L.ToString())   '   ^(L)
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Toll_LL.ToString())  '   嗿(LL)
            ListViewTrds.Items(i).SubItems.Add(m_DCCommand.Trds(i).Dist.ToString())     '   (km)
        Next
    End Sub

End Class

'   End of Source
