'------------------------------------------------------------------------------
' 
'   ACTvZT[rX TvvO
'   MapDK5C^tF[XNX
'
'   Copyrights (c) 2005-2009 Advanced Core Technologies, Inc. All rights reserved.
'
'   2005/11/21 Rev.1.00 AYA ō쐬(SMD Rev.1.01C)
'   2009/01/30 Rev.2.0.1.0 MORO |S\ΉAГꊇvZʕ\Ή
'
'------------------------------------------------------------------------------

'	Imported Namespace
Imports StandardDK5.DCService
Imports AxNETMAPLib
Imports AxNETLCLLib
Imports AxNETICOLib

'   Definition of Class
Public Class MapDK5

    '------------------------------------------------------------------------------
    '	Constants
    '------------------------------------------------------------------------------

    '   [Public]

    '   n}Ɋւ郂[h
    Public Const MAP_CONTROL_POINTSELECT As Int32 = 0                           '   H_I
    Public Const MAP_CONTROL_GRABBER As Int32 = 1                               '   n}ړ
    Public Const MAP_CONTROL_ZOOMIN As Int32 = 2                                '   g
    Public Const MAP_CONTROL_ZOOMOUT As Int32 = 3                               '   k
    '   gpACReLXg̕\x
    Public Const TEXT_LEVEL_2 As Int32 = 1                                      '   x2
    Public Const TEXT_LEVEL_4 As Int32 = 3                                      '   x4
    '   gpACReLXg̔wiF/p`̓F
    Public Const FILL_COLOR_TRANSPARENT As Int32 = -1                           '   F

    '   [Private]

    '   en}̍ŏ/őkڒl
    Private Const MAP_SCALE_MIN As Int32 = 781                                  '   ŏl
    Private Const MAP_SCALE_MAX As Int32 = 6400000                              '   ől
    '   gpACReLXg̃x/|SȂǂ̓X^Cl
    Private Const FILL_STYLE_NORMAL As Int32 = 1                                '   ʏinj
    '   oH`Ŏgpłőm[h
    Private Const POINTS_COUNT_MAX As Int32 = 300000                            '   ftHgl
    '   ܐ/[g̐
    Private Const LINE_WIDTH_DEFAULT As Int32 = 4                               '   ftHgl
    '   n}̕\k
    Private Const SCALE_DEFAULT As Int32 = 100000                               '   ftHgl
    '   Œ胉x
    Private Const AREA_START_POINT_STRING As String = "   START   "             '   B /  ̃X^[gn_

    '------------------------------------------------------------------------------
    '	Members
    '------------------------------------------------------------------------------

    '   [Private]

    Private m_ObjMapDK5 As AxNetMap         '   MapDK5 ActiveX Rg[
    Private m_ObjDKIcon As AxNetIco         '   MapDK5 Icon
    Private m_MapControl As Int32           '   n}Ɋւ郂[h
    Private m_TextColor As Int32            '   eLXgF
    Private m_FillStyle As Int32            '   |SX^C

    Private m_LineColor As Int32            '   CF
    Private m_LineColorDonut As Int32       '   CF
    Private m_LineWidth As Int32            '   C
    Private m_PointTextFillColor As Int32   '   n_`̃eLXg\̔wiF
    Private m_PointIconFillColor As Int32   '   n_`̃ACR\̔wiF
    Private m_PolygonFillColor As Int32     '   |S`̓F

    '------------------------------------------------------------------------------
    '	Methods
    '------------------------------------------------------------------------------

    '   [Public]

    '   C^[tFCX̏
    '   p[^
    '       axMapDK5    [IN]MapDK5 n}`pRg[
    '       axNetLcl    [IN]MapDK5 [JڑǗRg[
    '       axNetIco    [IN]MapDK5 ACRǗRg[
    '   ߂l
    '       Ȃ
    Public Sub Initialize(ByVal axMapDK5 As AxNetMap, ByVal axNetLcl As AxNetLcl, ByVal axNetIco As AxNetIco)
        '   MapDK5 Rg[̐ݒ
        m_ObjMapDK5 = axMapDK5
        m_ObjDKIcon = axNetIco

        ' Rg[̏
        m_ObjMapDK5.DataSource = axNetLcl.GetOcx()                          '   NetLclɊ֘At
        m_ObjMapDK5.set_MarkVisibility(101, False)                          '   "ʍs"\
        m_ObjMapDK5.set_MarkVisibility(104, False)                          '   "M@"\
        m_ObjMapDK5.CtlRefresh()                                            '   n}̍ĕ`

        '   n}Ɋւ郂[h̐ݒ
        MapControl = MAP_CONTROL_POINTSELECT                                '   H_I ɐݒ
        '   ACReLXg̕F̐ݒ
        m_TextColor = RGB(255, 0, 0)                                        '   ԐF ɐݒ
        '   p`̓X^C̐ݒ
        FillStyle = FILL_STYLE_NORMAL                                       '   ʏijɐݒ
        '   n_`̃eLXg\̔wiF̐ݒ
        PointTextFillColor = RGB(255, 255, 0)                               '   F ɐݒ
        '   |S`̓F̐ݒ
        PolygonFillColor = RGB(255, 255, 255)                               '   F ɐݒ
        '   ܐ/[g̐F̐ݒ
        LineColor = RGB(255, 0, 0)                                          '   ԐF ɐݒ
        '   ܐ/[g̐̐ݒ
        LineWidth = LINE_WIDTH_DEFAULT                                      '   ftHgl ɐݒ

    End Sub

    '   [gvZ / ŒZ[gvZ ̋vZR}h\̏`悷
    '   p[^
    '       DCCommand   [IN]vZR}h\
    '   ߂l
    '       True    vZR}h\̏̕`ɐ
    '       False   vZR}h\̏̕`Ɏs
    Public Function DrawDistCalcRoute(ByVal DCCommand As DCCommand) As Boolean
        Dim spot As New NETSPOTLib.GraphSpot    '   X|bg
        Dim point As NETSPOTLib.GraphPoint      '   |Cg
        Dim lpszLabal As String                 '   `悷郉x
        Dim i As Int32                          '   JE^
        Dim nPoints As Int32                    '   |Cg

        DrawDistCalcRoute = False   '   ߂l̏

        nPoints = DCCommand.Pnts.Length '   |Cg̎擾
        '   ő|Cg𒴂ĂȂH
        If nPoints > POINTS_COUNT_MAX Then
            Exit Function
        End If

        '   oH̕`̊Jn
        spot.Type = NETSPOTLib.MapDKnetSpotTypes.netSpotType_Polyline   ' |C
        spot.LineColor = System.Convert.ToUInt32(m_LineColor)
        spot.Width = m_LineWidth
        m_ObjMapDK5.Spots.Add(spot, "")
        For i = 0 To nPoints - 1
            point = New NETSPOTLib.GraphPoint
            point.Longitude = CInt(CDbl(DCCommand.Pnts(i).Lon) * 3600.0F * 256.0F)
            point.Latitude = CInt(CDbl(DCCommand.Pnts(i).Lat) * 3600.0F * 256.0F)
            spot.Points.Add(point)
        Next

        '   n_̕`̊Jn
        For i = 0 To DCCommand.Locs.Length - 1
            lpszLabal = (i + 1) & "  " & DCCommand.Locs(i).Time & "" + "  " + Format(DCCommand.Locs(i).Dist, "###,##0")
            DrawDistCalcRoute = DrawPoint(CDbl(DCCommand.Locs(i).Lon), CDbl(DCCommand.Locs(i).Lat), lpszLabal)
        Next

        ' n}̍ĕ`
        m_ObjMapDK5.CtlRefresh()
    End Function

    '   n}ɓH_\
    '   p[^
    '       DCCommand   [IN]vZR}h\
    '   ߂l
    '       True    H_̕\ɐ
    '       False   H_̕\Ɏs
    Public Function DrawLastLoc(ByVal DCCommand As DCCommand) As Boolean
        Dim nElement As Int32   '   QƂvfԍ

        nElement = DCCommand.Locs.Length - 1    '   Ō̗vfԍ̎擾

        '   n_̕`̊Jn(Ō̒n_)
        DrawLastLoc = DrawPoint(CDbl(DCCommand.Locs(nElement).Lon), CDbl(DCCommand.Locs(nElement).Lat), CStr(nElement + 1))
        '   n_̕`ɎsĂȂH
        If DrawLastLoc = False Then
            MessageBox.Show("P[V̕`Ɏs܂B", "n}`", _
                            MessageBoxButtons.OK, MessageBoxIcon.Error)
        End If
    End Function

    '   n}̒S_ݒ肷
    '   p[^
    '       nLon    [IN]S_ɐݒ肷ox
    '       nLat    [IN]S_ɐݒ肷ܓx
    '   ߂l
    '       Ȃ
    Public Sub PanMap(ByVal nLon As Int32, ByVal nLat As Int32)
        m_ObjMapDK5.Longitude = nLon
        m_ObjMapDK5.Latitude = nLat
        m_ObjMapDK5.Refresh()
    End Sub

    '   n}̃IuWFNgSč폜
    '   p[^
    '       Ȃ
    '   ߂l
    '       Ȃ
    Public Sub ClearMap()
        m_ObjMapDK5.Spots.RemoveAll()
        m_ObjMapDK5.Refresh()
    End Sub

    '   n}̕\kڒln}̎ނƕ\kڒlݒ肷( DK5 p̕`kڏ)
    '   p[^
    '       nScale  [IN]k X1  X
    '   ߂l
    '       Ȃ
    Public Sub SetScaleforDK5(ByVal nScale As Int32)
        MapScale = nScale  '   n}̕\kڒlݒ
        m_ObjMapDK5.Refresh()
    End Sub

    '   [Private]

    '   n}ɒn_`悷
    '   p[^
    '       ldX         [IN]`悷n_̌ox
    '       ldY         [IN]`悷n_̈ܓx
    '       lpszLabel   [IN]`悷郉x
    '   ߂l
    '       True    n_̕`ɐ
    '       False   n_̕`Ɏs
    Private Function DrawPoint(ByVal ldX As Double, ByVal ldY As Double, ByVal lpszLabel As String) As Boolean
        Dim spot As New NETSPOTLib.GraphSpot    '   X|bg쐬
        Dim nLon As Int32                       '   ox
        Dim nLat As Int32                       '   ܓx
        'Dim nCustomID As Int32                 '   JX^ ID

        DrawPoint = False                       '   ߂l̏

        '   ox/ܓxl̕ϊ
        nLon = CInt(ldX * 3600.0F * 256.0F)     '   ox
        nLat = CInt(ldY * 3600.0F * 256.0F)     '   ܓx

        ' X|bg̐ݒ
        spot.Type = NETSPOTLib.MapDKnetSpotTypes.netSpotType_None
        spot.Picture = m_ObjDKIcon.GetPicture(1)
        spot.Longitude = nLon
        spot.Latitude = nLat
        spot.Name = lpszLabel
        spot.LabelColor = System.Convert.ToUInt32(m_TextColor)
        spot.LabelBkColor = System.Convert.ToUInt32(m_PointTextFillColor)
        spot.LabelBkStyle = 1

        ' n}X|bgɒǉ
        m_ObjMapDK5.Spots.Add(spot, "")

        ' n}̍ĕ`
        m_ObjMapDK5.CtlRefresh()

        DrawPoint = True
    End Function

    '   B / vZ ̌ʂ`悷
    '   p[^
    '       Pnts     [IN]|Sf[^z
    '       StartPnt [IN]vZ̒Sn_
    '   ߂l
    '       True     `ɐ
    '       False    `Ɏs
    Public Function DrawDistCalcArea(ByVal Pnts As StandardDK5.DCService.Pnt(), _
                                     ByVal StartPnt As StandardDK5.DCService.GeoPnt) As Boolean
        Dim spot As NETSPOTLib.GraphSpot        '   X|bg
        Dim point As NETSPOTLib.GraphPoint      '   |Cg
        Dim lpszLabal As String                 '   `悷郉x
        Dim i As Int32                          '   JE^
        Dim nPoints As Int32                    '   |Cg
        Dim nDonutFlg As Int32                  '   h[ictO
        ' 2010/03/01 moro lon, lat 0.000000Ή
        Dim lon As Double                       '   |Cgf[^̌ox
        Dim lat As Double                       '   |Cgf[^̈ܓx

        DrawDistCalcArea = False              '   ߂l̏

        nPoints = Pnts.Length                   '   |Cg̎擾
        '   ő|Cg𒴂ĂȂH
        If nPoints > POINTS_COUNT_MAX Then
            Exit Function
        End If

        nDonutFlg = 0
        For i = 0 To nPoints - 1
            point = New NETSPOTLib.GraphPoint

            ' 2010/03/01 moro lon, lat 0.000000Ή
            lon = CDbl(Pnts(i).Lon)
            lat = CDbl(Pnts(i).Lat)
            If i = 0 Or (lat = 0 And lat = 0) Then
                ' If i = 0 Or (Pnts(i).Lon = "0" And Pnts(i).Lon = "0") Then
                spot = New NETSPOTLib.GraphSpot
                ' Lon, LatƂɂOꍇ͌ɖ߂
                If i <> 0 And nDonutFlg = 0 Then
                    nDonutFlg = 1
                Else
                    nDonutFlg = 0
                End If

                spot.Type = NETSPOTLib.MapDKnetSpotTypes.netSpotType_Polygon    ' |S
                If nDonutFlg = 0 Then
                    spot.LineColor = System.Convert.ToUInt32(m_LineColor)
                Else
                    spot.LineColor = System.Convert.ToUInt32(m_LineColorDonut)
                End If
                spot.FillStyle = m_FillStyle
                spot.FillColor = System.Convert.ToUInt32(m_PolygonFillColor)
                spot.Width = m_LineWidth
                m_ObjMapDK5.Spots.Add(spot, "")
            Else
                nDonutFlg = 0
            End If

            'If Pnts(i).Lon = "0" And Pnts(i).Lon = "0" Then
            If lon = 0 And lat = 0 Then
                'AddȂ
            Else
                point.Longitude = CInt(CDbl(Pnts(i).Lon) * 3600.0F * 256.0F)
                point.Latitude = CInt(CDbl(Pnts(i).Lat) * 3600.0F * 256.0F)
                '   |S̕`̊Jn
                spot.Points.Add(point)
            End If

        Next

        '   n_̕`̊Jn(X^[gn_)
        lpszLabal = AREA_START_POINT_STRING
        DrawDistCalcArea = DrawPoint(CDbl(StartPnt.Lon), CDbl(StartPnt.Lat), lpszLabal)

        ' n}̍ĕ`
        m_ObjMapDK5.CtlRefresh()
    End Function

    '   ГꊇvŽʂ`悷
    '   p[^
    '       Locs       [IN]P[V\̔z
    '       StartPnt   [IN]vZ̒Sn_
    '   ߂l
    '       True    `ɐ
    '       False   `Ɏs
    Public Function DrawDistCalcOneWay(ByVal Locs As StandardDK5.DCService.Loc(), _
                                       ByVal StartPnt As StandardDK5.DCService.GeoPnt) As Boolean
        Dim spot As New NETSPOTLib.GraphSpot    '   X|bg
        Dim point As NETSPOTLib.GraphPoint      '   |Cg
        Dim lpszLabal As String                 '   `悷郉x
        Dim i As Int32                          '   JE^
        Dim nPoints As Int32                    '   |Cg

        DrawDistCalcOneWay = False             '   ߂l̏

        '   n_̕`̊Jn(n_ꍇ)
        If Locs.Length > 1 Then
            For i = 0 To Locs.Length - 1
                lpszLabal = (i + 1) & "  " & Locs(i).Time & "" + "  " + Format(Locs(i).Dist, "###,##0")
                DrawDistCalcOneWay = DrawPoint(CDbl(Locs(i).Lon), CDbl(Locs(i).Lat), lpszLabal)
            Next
        End If

        '   n_̕`̊Jn(X^[gn_)
        lpszLabal = AREA_START_POINT_STRING
        DrawDistCalcOneWay = DrawPoint(CDbl(StartPnt.Lon), CDbl(StartPnt.Lat), lpszLabal)

        ' n}̍ĕ`
        m_ObjMapDK5.CtlRefresh()
    End Function

    '------------------------------------------------------------------------------
    '	Properties
    '------------------------------------------------------------------------------

    '   [Public]

    '   n}Ɋւ郂[h擾/ݒ肷
    Public Property MapControl() As Int32
        '   擾
        Get
            Return m_MapControl
        End Get
        '   ݒ
        Set(ByVal nMapControl As Int32)
            '   [hl MappDK5 Rg[̒n}샂[h̐ݒs(DK5ł̓J[\̕ύX͏oȂ)
            Select Case nMapControl
                Case MAP_CONTROL_POINTSELECT    '   H_I
                    m_ObjMapDK5.NoMove = True
                Case MAP_CONTROL_GRABBER        '   n}ړ
                    m_ObjMapDK5.NoMove = False
                Case MAP_CONTROL_ZOOMIN         '   g
                    m_ObjMapDK5.NoMove = True
                Case MAP_CONTROL_ZOOMOUT        '   k
                    m_ObjMapDK5.NoMove = True
                Case Else                       '   ȊO
                    Exit Property
            End Select
            m_MapControl = nMapControl      '   [hl̐ݒ
        End Set
    End Property

    '   n}̕\kڒl擾/ݒ肷
    Public Property MapScale() As Int32
        '   擾
        Get
            Return m_ObjMapDK5.RealScale
        End Get
        '   ݒ
        Set(ByVal nMapScale As Int32)
            If (nMapScale >= MAP_SCALE_MIN) AndAlso (nMapScale <= MAP_SCALE_MAX) Then
                m_ObjMapDK5.RealScale = nMapScale
            End If
        End Set
    End Property

    '   ACReLXg̕F擾/ݒ肷
    Public Property TextColor() As Int32
        '   擾
        Get
            Return m_TextColor
        End Get
        '   ݒ
        Set(ByVal nRGB As Int32)
            '   RGB l͈͓̔H
            If (nRGB >= RGB(0, 0, 0)) AndAlso (nRGB <= RGB(255, 255, 255)) Then
                m_TextColor = nRGB
            End If
        End Set
    End Property

    '   ACReLXg̔wiX^C/p`̓X^C擾/ݒ肷
    Public Property FillStyle() As Int32
        '   擾
        Get
            Return m_FillStyle
        End Get
        '   ݒ
        Set(ByVal nFillStyle As Int32)
            m_FillStyle = nFillStyle
        End Set
    End Property

    '   n_`̃eLXg\̔wiF擾/ݒ肷
    Public Property PointTextFillColor() As Int32
        '   擾
        Get
            Return m_PointTextFillColor
        End Get
        '   ݒ
        Set(ByVal nRGB As Int32)
            '   RGB l͈͓̔H
            If (nRGB >= FILL_COLOR_TRANSPARENT) AndAlso (nRGB <= RGB(255, 255, 255)) Then
                m_PointTextFillColor = nRGB
            End If
        End Set
    End Property

    '   |S`̓F擾/ݒ肷
    Public Property PolygonFillColor() As Int32
        '   擾
        Get
            Return m_PolygonFillColor
        End Get
        '   ݒ
        Set(ByVal nRGB As Int32)
            '   RGB l͈͓̔H
            If (nRGB >= FILL_COLOR_TRANSPARENT) AndAlso (nRGB <= RGB(255, 255, 255)) Then
                m_PolygonFillColor = nRGB
            End If
        End Set
    End Property

    '   ܐ/[g̐F擾/ݒ肷
    Public Property LineColor() As Int32
        '   擾
        Get
            Return m_LineColor
        End Get
        '   ݒ
        Set(ByVal nRGB As Int32)
            '   RGBl͈͓̔H
            If (nRGB >= RGB(0, 0, 0)) AndAlso (nRGB <= RGB(255, 255, 255)) Then
                m_LineColor = nRGB
            End If
        End Set
    End Property

    '   h[icܐ/[g̐F擾/ݒ肷
    Public Property LineColorDonut() As Int32
        '   擾
        Get
            Return m_LineColorDonut
        End Get
        '   ݒ
        Set(ByVal nRGB As Int32)
            '   RGBl͈͓̔H
            If (nRGB >= RGB(0, 0, 0)) AndAlso (nRGB <= RGB(255, 255, 255)) Then
                m_LineColorDonut = nRGB
            End If
        End Set
    End Property

    '   ܐ/[g̐擾/ݒ肷
    Public Property LineWidth() As Int32
        '   擾
        Get
            Return m_LineWidth
        End Get
        '   ݒ
        Set(ByVal nLineWidth As Int32)
            m_LineWidth = nLineWidth
        End Set
    End Property

End Class


'   End of Source
